Introduction - Overview

Overview

With "LayerManager Professional v4" for AutoCAD R14 and AutoCAD 2000(i)/2002 you are using the most outstanding and powerful tool-software, which guides you to a new and modern way of LayerManagement. By combining many very efficient, extended layer functions with the comfort of a Windows Explorer as well as the large number of funny details and solutions, completely new possibilities for handling layers and your entire drawing are given into your hands. A comfortable online assistance supports you with all procedures and describes all program features very detailed.

The users will take profits by this software in multiple ways : Apart from clearly advanced working comfort "LaymanPro" ensures substantial time-saving and selection security while handling layers, as well as the possibility to handle hundreds of layers with only a few mouseclicks. Even most complex Layer systems with often encrypted layernames always remain readable by means of extended description texts.

Engaged AutoCAD users know the problem since many years - if the drawing's design is structured tidy, then the user, after shortest time, stands opposite of an endless number of layers which are manually (nearly) no more to be controlled - remedy offer the new LayerManager "LaymanPro" by summarizing logically matching layers in groups and hierarchies, which can be arbitrarily deep and complex. All layers and groups may be contained in arbitrary structures, also repeated, and possess a description text, which is displayed permanently in the statusbar or as ToolTip.

Order is only the half life... Layergroups do not only improve clarity of the design - they also offer possibilities for the fast, safe layercontrol. "LaymanPro" unfolds its special power in the use of these objects: more than one dozen of special functions bring a clear effectiveness gain to the user. For this rank the "Display" function to "leaf" through the drawing to make possible the analysis of foreign drawings and for a fast layer viewing. From the drawing entities of layers and groups, selection sets and WBlocks drawings could be provided. The "Copy/Clone" functions allow copying of the layers inclusive layer properties and -entities. If objects are marked, then the contained drawing entities can be displayed or shifted into the foreground/background. For documentation of your drawings, freely configurable layer listing files can be saved. Provided structures are exchanged with the import/export functions between the drawings or transferred (only since R2000(i)) easily by drag & drop. The power spectrum is rounded off by the "LayerTools": these functions will drive the layers by reference entities from the drawing. In particular also the controlling of not-selected layers and "Restoring" of previous layerstates are possible.

No hurdle: Paperspace, Blocks and Xrefs: Special abilities are offered when working with the paperspace. "LaymanPro" intercepts the differences of layer management between modelspace and paperspace completely, so that the user will always find the same layer handling functions. One highlight is the separation of the modelspace and paperspace layers: if the user switches between both spaces, all layers are adapted to the current space automatically and the last layersituation is restored again, if necessary. In the case of several Viewports, all operations are to be executed simultaneously in several, freely selectable viewports, so all the paperspace viewports could be established very fast, safe and elegantly. XRefs and blocks are automatically analyzed by "LaymanPro"; all contained layergroups and hierarchies are available immediately.

Some Extras: intelligent window management: As a Windows program using the Explorer design, "Layman Pro" uses all common standards. Vertically or horizontally splitted windows, free choice of textfonts, ToolTips, Drag&Drop, context menus belong to it like dockable menubar and ToolBars as well as a dockable status bar and searchbar. For harmony with AutoCAD an intelligent window management is provided - the program window remains permanently visible. Applications like MAP or MDT use project windows, that are docked. Therefore, the effective working/drawing area reduces drastically. LaymanPro shows up more intelligent: if the mouse is inside the AutoCAD window, LaymanPro window rolls up to the titlebar and needs no extra space.

AutoCAD 2000(i): all Highlights are integrated: All innovations of release 2000(i) are completely and compatibly integrated into LayerManager - including complete MDE support; with LaymanPro you may control even the inactive drawings in the background. With drag&drop between LaymanPro windows you can simply transfer LaymanPro data within a few seconds and completely adjust layers, groups and hierarchies.

Overview on most important features:

  • Combining layers to into layergroups, combining layergroups into (tree-like) hierarchies

  • Optionally, layers, layergroups and hierarchies may be extended with describtion texts

  • All AutoCAD layer operations are also available for layergroups and hierarchies

  • Optionally, layergroups and hierarchies may use its own VIEW and UCS

  • Technology Highlight: Modellspace and Paperspace are completely independent; when switching between spaces, LayerManager will restore all layers to the last state, even automatically !

  • Automatic detection and usage of XREFs and Blocks; all contained LayerManager-Data, i.e. layers, layergroups, hierarchies within XREFs and Blocks are available immediately

  • Within paperspace, all layers, layergroups, and hierarchies may be controlled in any, freely selectable viewports, even simultaneously

  • With "Auto-Structure" your drawings will get intelligence to create layergroups/hierarchies automatically, if related group/hierarchy-definitions are given with attached template files - "LaymanPro" will watch the drawing and process the drawing's defined structures in the background

  • The integrated "3D-Orbit-View" (only since R2000(i)) offers a very comfortable opportunity to visualize the drawings content on selected layers/groups/hierarchies, without effecting the drawing

  • The "Working-Layers-Window" simultaneously lists all layers pre-selected by user, and the window always remains in AutoCAD's foreground – with only one (!) mouseclick the current layer can be changed

  • The "Layer-History" saves named layer "SnapShots" to the drawing, including all paperspace/layouts and viewports – these named layer history positions can be restored at any time later

  • Display/Highlight function for a fast visual view onto entities of layers, layergroups and hierarchies

  • complete, named, saveable Foreground-/Background control with layers, layergroups and hierarchies

  • complete drag&drop abilities between all LayerManager windows and between drawings

  • WBlock function for saving drawing entities of layers, layergroups and hierarchies

  • Creating selection sets with entities of layers, layergroups and hierarchies for later use in AutoCAD

  • Copy and Clone functions with optional copying drawing entities of layers, layergroups and hierarchies

  • Search function: Locate layers, layergroups and hierarchies by describing characteristics

  • Display-Filter function reduces the object lists for layers and layergroups; Filters are saved by name

  • Special import/export functions to transfer LayerManager structures between drawings

  • Integrated "LayerTools" for controlling drawing layers by reference entities

  • "SnapShot" function to save the current layers constellation into a freely selectable text file; "SnapShots" could be loaded and restored as desired; also within paperspace and within viewports

  • Saving layer listing files with freely selectable layer properties (status, color, linetype, visibility) with layer, layergroups and hierarchies

  • All common functions for administration of layers, layergroups and hierarchies such as a copying, cloning, renaming, deletion, moving etc. are available

  • Complete and compatible support of "Multiple Document Environment" in AutoCAD 2000(i) is integrated, like Drag&Drop with LayerManager data between different drawing

  • Any drawing may be attached and fixed to a LayerManager window in AutoCAD 2000(i)

  • Simple installation; automatic program load & run at AutoCAD startup may be defined in program options

  • and many, many more ...


What is new with version v4.1 ?

The version v4.1 includes a large number of new and improved features – many of them are based on the feedback, ideas, notes and wishes of engaged users. The most important news will be outlined here :

New features:

  • LayerManager now completely supports AutoCAD 2000(i)/2002 !!

  • The integrated 3D-Orbit-Viewer (only since R2000(i)) offers very comfortable handling for the drawing content of selected layers/groups/hierarchies – the fastest 3D preview to drawing entities possible, even rendered or shaded like AutoCAD's Orbit; simply move the mouse over layer/group/hierarchy and you will see it.

  • LaymanPro stores and restores all layer properties for modelspace, paperspace and layouts now; when switching between modelspace, paperspace and layouts, all layer properties are stored, and for the current space, the last used layer properties are restored. Under "Preferences" the user can define, which layer properties will be restored. Handling layout layers for plotting setup is dramatically simplified !

  • The Auto-Structure feature allows you to give your drawings the nessecary intelligence to automatically create layergroups and/or hierarchies – define Auto-Structure-templates and then attach one/more template definitions to your drawing (or even to template drawings *.dwt), LaymanPro will then watch your drawing and create layergroups/hierarchies automatically in the background, without manual interaction.

  • The Working-Layer-Window always lists that layers contained in pre-selected layers/groups/hierarchies, and this window always remains in the AutoCAD foreground – change the current drawing layer with only 1 (!) mouseclick.

  • With Layer-History the current layer configuration incl. Paperspace/Layouts and all viewports may be saved as named layer history entries, stored inside the drawing – they can be restored at any time later

  • Named Display-SortOrders and Layer-Histories with their Layout-dependent Layer-Properties may now be exported and imported- that enables th euser to transfer complete Layouts into other drawings respective into other Layouts of the same drawing

  • For the right window panel, the new Display-Filter allows you to reduce and to costumize the displayed object list – these filters can be named and are saved within the drawing.

  • A new dialog to Create Layergroups and Hierarchies simplifies the process to structurize the drawing.

  • There are new functions with drawing entities from selected layers/groups/hierarchies: color, linentype, lineweight, plotstate/plotstyle etc. may now be directly set for these entities.

  • Starting with this version, LaymanPro now offers print- / print-preview support Print- and Print-Preview for both window panels.

Improved features:

  • The Network-/Multi-User-Abilities are improved: all users will find their last used LaymanPro configuration all across the network at all workstations.

  • Foreground/Background Control: defined display orders for layers/groups/hierarchies will now be saved as "named orders" – with only a fingertip each modelspace, paperspace and layout may use any display order that was previously defined !

  • Column order : (only since R2000(i)) the order of properties columns within the right window panel may be changed with Drag&Drop now – simply click a column header and drag it to desired position.

  • Column order : to manage properties columns within the right window panel there is a new context menu available – right-click on any column header to open the context menu.

  • Program window updates: Building-up and updating the displayed content for both window panels could be enhanced in performance; i.e. when sorting by columns, displaying dependent layers/groups etc.

  • Display for both window panels: now it is possible to define not only textfont, but also the textcolor; with "Preferences/Advanced" there are some more features to control textcolor for special objects.

  • Drag & Drop improved: when objects are dragged into the left window panel, the CTRL-key may be used to open groups/hierarchies, the SHIFT-key will close opened groups/hierarchies; this behaviour is based on the preferences settings (File/Preferences).

  • Extended ToolTips : besides the common, short ToolTip-Text, most dialog and menu items offer an extended ToolTip – in that case, a small black triangle is displayed inside the ToolTip window: simply move the mouse inside the ToolTip window tho show the alternative ToolTip-Text.

  • Smoother and improved User-Interface: there are new features like ToolTips and Icons even for menu items, smoother ToolBars, optical leader line for the right window panel, varying cursors, drag&drop images and many things more

  • Tip-of-the-Day : the "Tip-of-the-Day" will show lots of useful tips&tricks, hidden details and much more

  • Web-Support : on its web-site www.LayerManager.com you will always find latest and updated versions, Tips&Tricks, the FAQ list, an free & open discussion group and many other interesting things.

Other, very important, improvements are related to higher performance and stability – very large efforts were taken to fix any known bugs and issues; the internal crash-protection has been extended and improved.
Great Thanks to all users that participate in LaymanPro's development with their feedback, ideas, wishes, with their efforts and at their risk – without their help, LaymanPro would not be this program now … thank you all !


System requirements

"LayerManager Professional" needs AutoCAD R14/2000(I)/2002 or AutoCAD LT 2000/2000i/2002 installed under Windows 95/98/ME/NT4.0 (with servicepack 5 or higher) and Windows 2000/XP on PC with x86-compatible processor.

"LayerManager Professional" may also be used on a network installation without any problems !


Program installation

Important: please exit AutoCAD before running the installation procedure !

Installation is very simple: Please run the setup program "Setup.exe", that is shipped with the installation package (on CD-ROM or from download), e.g. from the Windows Explorer.

Especially when installing from CD-ROM : if the Windows' "CD-AutoRun"-function is active, the installation starts automatically; otherwise run the setup program "Setup.exe" manually, as described above.

The setup program only needs to know the target installation directory for LayerManager – you should select an own program directory (e.g. "d:\acadapps\LaymanPro.R14").

When all program files are copied into the destination folder, the LayerManager program group is created in the Windows startmenu (with online-help, LayerManager-Registration-Tool "Register 2 AutoCAD" and Uninstall program).
At least, the Registration-Tool is started, to announce LayerManager to AutoCAD and AutoCAD LT for the first time.

Please select all relatedAutoCAD installations and check all profiles where you want LayerManager to be working with and also select program language as needed. Optionally you may have the PullDown menu to be visible (this is not required !). Then save your settings – and installation is finished now.

Using LayerManager's Registration-Tool "Register 2 AutoCAD" you may check and modify LayerManager's integration into AutoCAD at any time later – please note, that AutoCAD may not be active at this time.

Important Note : If you are using AutoCAD R14 and AutoCAD 2000(i)/2002/LT 2000(i)/2002 simultaneously and want LayerManager to be working with both AutoCADs, please install LayerManager versions for R14 and 2000(i)/2002/LT 2000(i)/2002 into different directories – this is caused by different AutoCAD-ARX-environments !

However, LayerManager is upward- and downward-compatible concerning its own data without any problems (down to AutoCAD-R12/DOS-version of LayerManager).


Start inside AutoCAD

LayerManager's Registration-Tool "Register 2 AutoCAD" manages the complete integration into AutoCAD and AutoCAD LT. All program files used by LayerManager are loaded automatically at AutoCAD startup (related to configured profiles). To run LayerManager (in case, the program window is not yet opened), please enter one of these LayerManager commands : "laymanpro" or "lmpro" – the program window will open then.

Automated Start: So that the user does not have to repeat this procedure each time again, you may use LayerManager's options to configure the automated startup together with AutoCAD. Please open the LayerManager-Options-Dialog (Menu/File/Preferences) and switch to the register "LaymanPro" - check the option "Load & Run with AutoCAD-Startup" Load & run LAYMAN with AutoCAD-startup– for the future, LayerManager will load together with AutoCAD and start after AutoCAD's startup procedure is completed.

Important Note: There is no problem to re-enter the LayerManager command ("laymanpro", "lmpro") with running program from AutoCAD's command prompt – LayerManager will NOT be started again by doing so, instead, all program windows will be restored to its full size and placed into the Windows foreground (see "Tips & Tricks: LayerManager-Window disappeared" ). This means, all "disappeared" LayerManager windows are visible again. To run multiple LayerManager windows, use the function "New Window" (Menu/View/New Window).


Online helpsystem

"LayerManager Professional" uses Microsoft's innovative "HTML-Help" - a help system that is based on the Microsoft Internet technology, which combines text-, graphics- and video-information in highly compressed files (*.chm). These helpfiles are represented by a special browser similar to the Internet Browser. The HTML help offers search functions, an index, a glossary, excellent navigation, as well as the possibility of storing often used topics as favorites. In order to use HTML Help there must a special run-time-modul be present. In contrast to the standard Windows Help, which is integrated in all Windows systems, the HTML Help is a separate, standalone program in Windows 95 and Windows NT 4,0 - the HTML assistance is integrated by default with Windows 98/2000 (or later versions); on other systems, it is only present, if the Internet Explorer 4 (or higher) is installed.

Therefore, the HTML Help should be installed on Win95/NT systems. This is done by implementing the file "HHUPD.EXE" from the directory "Htmlhelp.upd" on the LayerManager's installation CD. In generally, applying this HTML-runtime-update is always suggested to use the most current version of HTML-runtime.

Attention: MS Internet-Explorer 3.02 (IE5.0 or later is suggested) must be present on your system. It must NOT be the systems default Internet Browser (you may also use Opera or Netscape), but some components of the MS Internet Explorer are needed for using HTML-Help. Under all circumstances, executing the HTML-runtime-update HHUPD.EXE is preferred in order to have the most current version installed. By MS IE 4.01 or Win98, there is version V.1.1 of HTML-Help-runtime-module supplied, but there are new version available meanwhile. The most current version may be downloaded from Microsoft's websites on Internet (search for HHUPD.EXE).


Uninstallation

To Uninstall "LayerManager Professional", please follow these 2 steps :

  1. Exit AutoCAD and then run the Registration-Tool "Register 2 AutoCAD", to remove LayerManager from all AutoCAD profiles and from AutoCAD LT

  2. Then run the uninstallation procedure from LayerManager's programmgroup or alternative use the Windows uninstallation under Startmenu/Settings/Control panel/Software.

LayerManager is completely removed from your system without any system; in generally, LayerManager doesn't use any entries in the windows registry.

Especially when using LayerManagers with AutoCAD LT :

It is very important to unregister LayerManager from AutoCAD LT by using the Registration-Tool "Register 2 AutoCAD" before uninstalling LayerManager – otherwise, an error message box will be shown start about missing LayerManager menu once at next AutoCAD LT … you can simply ignore this !


Layers

The drawing layers serve as the primary (and in practice as the only one !) order criterion in AutoCAD - accordingly central is the importance of layers in the entire AutoCAD system. Besides, layers (again as a structuring characteristic) also play a crucial role for data exchanging with other CAD systems.

The meaning which LayerManager attaches to the drawing layers, is therefore just as fundamental - and therefore one of LayerManager's main targets is to give the user a powerful and handy tool for the everyday work with drawing layers, that meets their central role within AutoCAD. In order to simplify the handling of layers, LayerManager extends the drawing layers by an additional description text – in particular, if layers will use encoded names due to standardizations or design rules, the description text improves the clarity and relocating barness considerably. The length of description texts is limited to 255 characters at maximum.

Beside AutoCAD's usual layer functions, that all affect the layer state only, LayerManager offers more than one dozen of powerful, practical functions in order to work with layers directly inside the drawing - for example, to copy or clone layers including their drawing entities, or to set drawing entities into foreground / background based on layers.

One of the most outstanding LayerManager's features exists in the separation of the layer management between modelspace and paperspace, as well as the possibility of steering (not only) the layer in several paperspace viewports simultaneously. Thus the structuring of viewports is drastically simplified and accelerated; in addition the necessary adjustment of layers when frequently switching between modelspace and paperspace (layers must be thawed in modelspace to be usable within paperspace) is obsolete now.

Of course, LayerManager uses drawing layers completely compatible with AutoCAD.


Layergroups

As an extension to the AutoCAD layer concept, LayerManager offers layergroups as a new, mighty order criterion within the drawing - and thus these layergroups are highly effective objects, in order to control the drawing and to affect the drawing entities.

A layergroup represents the summary of desired layers to a unit - and can be handled as a unit later. The name of a layergroup is freely selectable, without any restriction of usable characters, and could be long up to 255 characters. Just as layers, also layergroups may be extended by an additional description text (up to 255 characters long).

The layers summarized into a layergroup may be contained in further layergroups too, of course - in a layergroup the included layers are generally treated as Links, not as drawing layers themselves. All operations and functions, that are offered by AutoCAD for layers, are implemented likewise and completely identically for layergroups. All functions can be executed with entire layergroups or with parts of layergroups too. It is one of LayerManager's basic concepts to extend all layer functions to work with layergroups too.

So you can "leaf" through the drawing by layergroups, switch them on or off, set properties like colors, linetypes etc. for layergroups and much, much more. Like AutoCAD's layer dialog represents drawing layers, LayerManager represents both layers and layergroups with all their properties – even this is based on the complete transmission of the layer concepts to layergroups by this LayerManager.

Unfortunately, layergroups could NOT be recognised by AutoCAD, i.e.layergroups can not be used with normal AutoCAD functions and commands - at this time, layergroups are only handled within LayerManager. However, LaymanPro provides all functions, that are offered by AutoCAD, both for layers and layergroups (and hierarchies !) in identically the same way - thus LayerManager is more than only a compatible replacement for the AutoCAD dialog ...

Layergroups are stored directly inside the drawing just like all LayerManager objects (as invisible entities on layer "$LAYMAN"). These entities are normal drawing entities for AutoCAD – there are no negative reactions to your drawing to be feared; on the other hand, this way all LayerManager structures and data are always available, even within drawing blocks and XRefs. Further details about LayerManagers internal data storage are described in chapter "Saving LayerManager's data" .


Hierarchies

The logical continuation of the Layergroup concept are hierarchies. The concept of hierarchies corresponds almost identically to the directory/folder concept, that is used to manage data and files on a harddisk (i.e. the Windows Explorer shows this hierarchy/tree-concept). Layergroups can be arranged and structured likewise in directory/folder trees, which may be arbitrarily complex and arbitrarily deep.

With the hierarchy concept, administration of a real larg number of layergroups becomes not only much more simple and clear, even your drawing may be structured with more efficiency. Besides, hierarchies will directly represent the logical structure of a drawing, that is based on layers and layergroups.

Each hierarchy consists of a name (up to 255 characters long) as well as an associated description text (up to 255 characters) and may contain further sub-hierarchies and/or layergroups – just the same way, as a folder on your harddisk may contain further sub-folders and files. The hierarchies correspond to the folders, the layergroups correspond to therein contained files. Also in the LayerManager hierarchies (folders) and layergroups (files) are different, separate objects:

  1. each hierarchy may contain sub-hierarchies and layergroups;

  2. hierarchien and layergroups must use unique names (caused by logical identification)

  3. layergroups can not contain further layergroups, hierarchies or sub-hierarchies

Sub-hierarchies and layergroups that are contained in a hierarchy are generally treated as links - therefore each layergroup and each sub-hierarchy may be contained in arbitrarily different hierarchies – thereby, the absolutely same object is referenced in all cases, For example a layergroup may be contained in 3 hierarchies – the layergroup exists only once, but may be referenced multiple times by several other objects !

General Aspect: Each object (hierarchy, layergroup, layer) exists exactly once, but may be referenced multiple times by any other higher-level object – this way the clearness within the drawing will be ensured.

Herein lies an important difference to the Windows Explorer; an example is to clarify that:

On the harddisk a file with the file "xyz.txt" can arbitrarily often exist in different directories/folders – these files are really different files with i.g. really different contents. The same applies similar to directories/folders. If you have a layergroup with name "Gruppe_Red" defined in the LayerManager, you can insert this layergroup into different hierarchies (folders then - however the layergroup exists really once in the drawing). Likewise you can insert or copy an existing hierarchy (as a sub-hierarchy) into further hierarchies – these inserts or copies are always links only; the hierarchy object itself is only once existing...

The LayerManager offers all functions that are available for administration and application of layer and layergroups, without any exception, in completely identical way for handling hierarchies. Users will thus find a very homogeneous and consistent operation and application interface for all LayerManager objects. The hierarchies, just like layergroups, are stored directly inside the drawing and are available only within LayerManager – for AutoCAD there are no such layergroups and hierarchies existing.

Hierarchy-trees are displayed only inside the left/upper LayerManager window, in generally.


LayerManager's basics - Layer-History

Layer-History

One of the most interesting features is offered by LayerManagers special support for modelspace, paperspace and layouts – with a single mouseclick the user can save the entire current layer configuration for a given modelspace/paperspace/layout, together with a short description. This kind of a "SnapShot" is called "Layer-History", that can be restored at any time later.

The Layer-History is especially designed for several purposes :

  1. alternative and as an addition to the Layergroups/Hierarchies concept to save most complex layer configurations, that use many groups/hierarchies and many time to establish

  2. for temporary Layer-Configurations, that are not or only uncompletely to setup by groups/hierarchies, this is an easy way to save and to restore them

  3. especially for paperspace and/or layouts, the Layer-History also saves all viewport-dependent layer settings, that enables the user to completely restore any layout with all its viewports

In generally, History-Positions always contain only the layers' visibility (On/Off, Freeze/Thaw, VPort-Freeze/Thaw) – all other layer propertis are never saved inside History-Positions. Therefore, when restoring a given History-Position all layers' visibility properties are restored only.

All "History-Positions" are generally saved inside the drawing and separately for modelspace, paperspace and layouts. There is no problem to use same-named History-Positions for separate layouts. All main functions to handle Layer-Histories are given as icon buttons at the statusbar – additionally, there is a context menu available when rightclicking over the buttons.

 By right-clicking onto any Layer-History-button the given context menu is opened containing all functions for handling "Layer-Histories" :

Restore: restores the current History-Position for the drawing

Save: saves the current layer configuration with supplied description

Update: updates the History-Position with the drawings layer configuration

Edit Infot: opens the edit field to modify the History-Position's description

Previous/Next: positions the History entry to the previous/next Position

Positions-List: shows the list with all available History-Positions to select one

Delete: deletes the current History-Position after confirmation

Transfer: copies a History-Position into another layout

Export/Import History: creates resp. loads the History-Export/Import-File to exchange Layer-Histories between drawings

Especially the functions to transfer History-Positions within the same drawing and to export/import History-Positions into other drawings will help the user to setup layouts completely, safe and very fast. More details about handling Layer-Histories are given at chapter "Special Functions / Layer-History".


LayerManager's basics - Layout-dependent Layer-Properties

Layout-dependent Layer-Properties

Another very powerful LayerManager feature is called "Layout-dependent Layer-Prperties" – this feature is extremely helpful when using many layouts and switching between them. By this powerful feature it is possible to use and manage all modelspace, paperspace and layouts completely independent now – especially recommended for handling layouts that are to be plotted !

Base principle: LayerManager always saves all layer properties settings for each modelspace, paperspace and all layouts and will automatically restore these layer-properties when activating another modelspace / paperspace or layout. The user may configure which layer-properties are to be restored.

To activate the "Layout-dependent Layer-Properties", open LayerManager's preferences dialog and activate the option "Restore M-/P-Space layers automatically" – additionally you may configure those layer properties that shall be restored. But regardless of these settings, LayerManager will always save all layer properties.

Additionally, LayerManager also provides a separate Toolbar with these configuration options to allow a fast, dynamic access – there you can activate/deactivate the "Layout-dependent Layer-Properties" feature and also define the properties that are to be restored.

More informations and details are given in chapter "Layout-dependent Layer-Histories".


LayerManager objects inside XRefs and Blocks

One of LayerManager's most interesting and important feature is given with the usage of LayerManager objects, that are located within Xref and Block drawings.

At the first scanning for LayerManager objects within the current drawing, all attached Xrefs and inserted Block definitions are also scanned for LayerManager objects. It is not of importance, wether Xrefs are "attached" or "bound"; the same applies for Block definitions – they may be referenced by either normal or exploded inserts or even not-referenced by any inserts. In all cases, LayerManager will always find all available layergroups and hierarchies from all sources.

The representation of layergroups and hierarchies, that are located in Xrefs and Block definitions, is based on the same rules like AutoCAD displays Xref layers at the layer's dialogbox. Additionally, LayerManagers will also represent LayerManager objects from within Block definitions using the same rules.

Representation of Xref- and Block based layers, layergroups and hierarchies:

XRef (attached) | XRefname | layer | XRefname | layergroup | XRefname | hierarchy
XRef (bound) | XRefname $0$ layer | XRefname $0$ layergroup | XRefname $0$ hierarchy
Block | Like normal layer | Blockname | layergroupe | Blockname | hierarchy

If, at any time later, an attached Xref will be changed into a bound Xref, LayerManager will detect this change automatically if the option "Use Rx-Automation" is active. Otherwise, LayerManager needs a re-initialization, to display all objects with the correct form. At this time, there is no way to modify any LayerManager objects located inside Xrefs and Block definitions – if you try such an operation, LayerManager will show a message box related to that situation and will ignore your attempts.


Saving LayerManager's data

By its own way of data storage LaymanPro offers the advantage that your defined layergroups and hierarchies are always available and uptodate as well – even when you use the drawing as XRef or Block.

Therefore, LayerManager creates a special layer and a special block both with name "$LAYMAN" as well as some drawing entities inside that block and on that layer. These entities encode all Layer-Manager data by means of "eXtended Entitiy Data (XED)", The mentioned block "$LAYMAN" is only needed for very fast scan and recognition of LayerManaer's data – there is no risk or danger, if you purge that (unused) block definition. All entities located on layer "$LAYMAN" are always invisible in generally – there is no risk to get these entities visible by mistake, i.e. on a plot. If you need all LayerManager data to be completely removed off the drawing, so LayerManager offers a special function under "Menu/Extras/Remove Data" to remove it's data; LaymanPro will exit automatically after finishing the "CleanUp" function and you will have a "clean" drawing

Important: Users should NOT manually modify the properties of layer "$LAYMAN" – however, LayerManager will always restore its layer "$LAYMAN" to visible, on and thawed state.

Notice: wether the drawing entities nor the block "$LAYMAN" will have any negative influence to your drawings, even if the LayerManager program is not available on another PC – all LayerManager data remain unchanged and will not disturb wether AutoCAD nor any other applications anyway. If there is any need to remove LayerManager data completely from the drawing, you should use the appropriate LayerManager function "Remove Data" .


Some Notes for AutoCAD LT

Since version v4.1a (August 2001) LayerManager completely works with AutoCAD LT 2000/2000i/2002 in exactly the same way as with AutoCAD. The LayerManager version for AutoCAD 2000/2000i/2002 will work with the same AutoCAD LT versions.

AutoCAD LT 97/98 is not be supported currently – but it might be possible to be implemented at later time.

To include LayerManager into AutoCAD LT you only need to register LayerManager with AutoCAD LT – this can be done with the "Register 2 AutoCAD" tool, that is placed in LayerManager's program group on the Start-Menu. You may register LayerManagers with all installed AutoCAD LT versions.

Basically, the technical implementation of LayerManager for AutoCAD LT is based on our LTE2000 kernel technology which provides ARX and LISP interfaces for applications.

Notice: if you want to uninstall LayerManager, it is strongly recommended to Un-Register LayerManager from AutoCAD LT before uninstalling ! Otherwise, an error message box will be shown once about missing LayerManager menu at next AutoCAD LT start … you can simply ignore it !


Main program window - Overview

Overview

LayerManager's user interface is strongly based on the well-known Windows Explorer of Windows 95/98/NT40/2000 in optical and functional aspects - and also behaves as far as possible in that way. Therefore the users will find a usual and known program interface, and are enabled to put the focal point to their dedicated work within AutoCAD. Likewise as far as possible the operation was considered by AutoCAD, i.g. all LayerManager dialogs comparable to those of AutoCAD will practically behave the same way like AutoCAD in order to get a constant environment for the user.

For efficient and fast handling all common dialog elements are available; the entire program interface as well as all dialog elements can be configured. The LayerManager saves the interface so the users will always regain the last used one. LayerManager works, similarily to the Windows Explorer, with 2 windows. However, the operations differs in some details from Windows Explorer: these extensions are necessary in order to make some substantial functions applicable.

NOTICE: The phrase "left window" is synonymously used even for the "upper window", if program window is splitted horizontally; same applies to "right window" in conjunction with "lower window".

Configurable dialog objects:

· Menubar Menubar to be enabled/disables

· Statusbar to be enabled/disabled

· several ToolBars to be enabled/disabled (floating or docked)

· Searchbar to be enabled/disabled (floating or docked)

· docked drawing list for fast access to attached drawing (only since R2000(i))

The main program window offers additional features:

· To open new LayerManager windows

· Size and position are freely scalable

· may be splitted horizontally or vertically

· Textfont and Textsize are free to select

· both the left and the right window panel offer several additional features to adjust them

The LayerManager main window could be opened multiple times; each LayerManager window first takes all settings and configurations of the "parent" window at first, but is running completely independent then.


Configuring the user interface

The LayerManager permits a very large range of adjustment to nearly all relevant objects of its program interface in accordance with the user's needs. In particular under the aspect to increase AutoCAD's drawing area on-screen and to get fast access to LayerManager's function there are a set of special function implemented. LaymanPro saves your configured interface last used, and restores these at next program session. If you have opened multiple LayerManager windows, each of them could be configured separately ! Please note the fact, that the user interface of the LayerManager closed at last serves as basis for the next program start (in the next AutoCAD session).

These interface objects may be configured: Menubar Menubar, Statusbar, several ToolBars, Searchbar, Drawinglist (only since R2000(i)), Textfont/Textsize, besides these, both the left and the right window panel allow additional configurations to the represented window contents.

Adjust Textfont, Textsize and Textcolor: With the function "Menu/View/Textfont" the common Windows Textfont dialog will be opened to adjust textfont, textsize and textcolor – please select these parameters appropriate to your needs; special effects are not supported at this time. When closing that dialog LayerManager will refresh both the left and the right window panels and textfont, textsize and textcolor are saved permanently.


Multiple program windows

LayerManager could be opened several times - i.e. you may use 2, 3 or more LayerManager windows at the same time in order to work on several drawings simultaneously (in AutoCAD 2000(i)), or to have different representations of a drawing accessible, or even to transfer LayerManager data within the same and/or between different drawings (in AutoCAD 2000(i)) by drag&drop.

To open a new LayerManager window, use function "New Window" (Menu/Viewt/New Window). The new window will overtake all settings and configurations from the running "parent" window – but works completely independent then. This means, you are able to configure the newly opened program window separately without influencing any other open LayerManager window.

NOTE: If you will re-enter the LayerManager command (laymanpro, lmpro) at AutoCAD prompt, then there will be no new LayerManager window opened again – instead, all currently open LayerManager windows will be restored to their normal size and position and placed into Windows' foreground. You can use this behaviour to get all hidden, minimized or invisible LayerManager windows activated again.


Left display window

The left window panel displays layergroups resp. hierarchies. All objects are shown as Tree-View as known from Windows Explorer. The content may be switched between modes: "Layergroups", "Hierarchies".

Mode "Layergroups": All layergroups will be shown, including all layers owned by these layergroups.

Mode "Hierarchies": All hierarchies will be shown, including sub-hierarchies and layergroups, owned by these objects; layers included in layergroups will NOT be shown.

The figures below will explain the left window titlebar from left to right:

By default, all icons appear "flat" using grey/black colors. If the mouse moves over the icon's area, they will get colored and rise up into 3D-look; the statusbar will display informations about current icon's function.

"Selection-Filter" – (Ctrl-F) opens the filter to select Layergroups resp. Hierarchies

"Select All" – (Ctrl-A) selects all (visible) objects

"Revert Selection" – (Ctrl-R) reverts the current selection

"Select None" – (Ctrl-N) clears the current selection

"Window Mode" – Number of selected/total objects for current window mode

"Mode: Hierarchies" – sets the window to "Hierarchies"mode

"Mode: Layergroups" – sets the window to "Layergroups mode

As an extension to the Windows Explorer standard, the left window panel explicitely allows you to select multiple objects; all functions executed will always use this complete selection. Any objects selected will change their object icons into red colored icons, to show marked/selected objects more expressiv.


Right display window

The right/lower window panel will display all existing layergroups or those layergroups included in selected hierarchies or the drawing layers with 4 different layer modes, depending on the window panel's settings. All objects (layergroups and layers) are shown as "Iconlist". Using the right icons on the window's headline you may switch between the different window modes.

In all these different modes the window displays all object properties (visibility, color, locking state, linetype, description text etc.) as icon and/or text information. Only with AutoCAD 2000(i) the right window will also show object lineweight, plotstate and plotstyle.

Mode "All Layergroups": All existing layergroups with all their properties will be shown. The left window panel and selected objects therein have no influence in this window mode.

Mode "Dependent Layergroups": (condition: the left window is set to Mode "Hierarchies") All layergroups, included in those hierarchies selected within the left window, this means, the contents of all selected objects, are shown. If there are multiple objects selected in the left window so the summary of all included layergroups are shown.

NOTICE: If you select one/more layergroups within the left window panel instead of hierarchies, the right window panel will be automatically switched from window mode "Dependent Layergroups" to "Dependent Layers" in order to show a useful contents within the right window panel.

Mode "All Layers": All existing drawing layers with all their properties will be shown. The left window panel and within selected objects have no influence in this window mode.

Mode "Dependent Layers": All layers, included in those hierarchies and layergroups selected within the left window, this means, the contents of all selected objects, are shown. If there are multiple objects selected in the left window so the summary of all included layers is shown.

Mode "Visible Layers": All those drawing layers, that are currently visible (i.g. thawed and on in modelspace resp. current paperspace-viewport) will be shown. The left window panel and within selected objects have no influence in this window mode.

Mode "Invisible Layers": All those drawing layers, that are currently invisible (i.g. frozen or off in modelspace resp. current paperspace-viewport) will be shown. The left window panel and within selected objects have no influence in this window mode.

Layergroups and layers, shown within the right window panel, will use different icons in order to increase overview, identification and handling, as shown below :

The figures below will explain the right window titlebar from left to right :

By default, all icons appear "flat" using grey/black colors. If the mouse pointer moves over the icon's area, they will get colored and rise up into 3D-look; the statusbar will display informations about the current icon's function.

"Selection-Filter" – (Ctrl-F) opens the filter-dialog to select Layergroups/Hierarchies by several criteria

"Select All" – (Ctrl-A) selects all (visible) objects

"Revert Selection" – (Ctrl-R) reverts the current selection

"Select None" – (Ctrl-N) clears the current selection

"Window Mode" – Number of selected/total objects for current window mode

"Display Filter" – opens the filter-dialog to individually costumize the shown display list

"Mode: All Layergroups" – sets the window mode to "All Layergroups"

"Mode: Dependent Layergroups" – sets the window mode to "Dependent Layergroups"

"Mode: All Layers" – sets the window mode to "All Layers"

"Mode: Dependent Layers" – sets the window mode to "Dependent Layers"

"Mode: Visible Layers" – sets the window mode to "Visible Layers"

"Mode: Invisible Layers" – sets the window mode to "Invisible Layers"

Similar to AutoCAD's layerdialog, all object properties may be directly controlled with the properties columns. With a left mousebutton click into a property column the appropriate settings dialog for selected objects resp. the clicked line's object otherwise will be opened to change that property. Additionally, objects may also be selected in the property columns, without starting the settings functions. More details about you will find in the chapter "Selecting / Marking objects".

Configuring the displayed columns : for the right window panel there is the possibility to change number and order of displayed properties columns. This function is available from menu resp. context menu for the right window panel under "Menu/View/Define columns".

Sorting display content by columns Sorting display by columns : Sorting the right window panel may also be done by the column headers – simply click to the header of that column you want the display to be sorted by.

also see :

Configuring displayed columns

Sorting display by columns

Using Display-Filters


Configuring displayed columns

For the right window panel there is the possibility to change number and sequence of property columns to display. Thus the right window panel could be configured to best fit the users needs. The function is located in the PullDown menu "Menu/View/Window Right/Define Columns" and also in the context menu (with AutoCAD 2000(i) the columns for lineweight, plotstate and plotstyle may also be configured.

Alternatively, you can change th ecolumn's position even with Drag & Drop – simply click on a column header, hold down the mouse button and move …

To activate or deactivate a column, click into the column's checkbox. Using the buttons "Up" and "Down" the columns' sequence may be changed to desired order – therefore select a column, move it to the appropriate position and repeat these steps with other columns again.

All functions to configure displayed columns are also available from contextmenu: right-click on any column header, to open the column's contextmenu.

All columns settings (status, sequence, width) are permanently saved and will be restored to last used configuration at each program start.


Sorting display by columns

The right window panel uses column headers for each property column – these headers work as buttons too. By clicking a column header the displayed object list will alternating be (re-)sorted in ascending and descending order. So the user has various opportunities to fit the displayed list as needed. For example, sorting the list by column "Visibility" all visible and all invisible objects are placed together at top and bottom (and vice versa) of the list.


Using Display-Filters

For displaying layers and layergroups inside the right window panel there is a new "Display-Filter" available, that may be used to customize the displayed objects to your needs. This can improve clearness of the window and speedup identifying layers and groups. On the other side, simple analysis may be done this way.

Features:

  • all named filters are saved inside the drawing

  • all properties may be combined with each other

  • all filter properties may be edited and changed at any time

2 filters are always pre-defined:

  • <Objekte: Used>

  • <Objekte: Not Used>

These filters will show tose layers and groups, that are resp that are not referenced by any other LayerManager object.

This Display-Filter dialog will always open with last-used mode and at last used position. By doubleclicking to a filter name the filter is activated – the Display-Filter icon appears impressed then and the ToolTip will show the name of that active Display-Filter.

Display-Filters are saved directly inside the drawing and may be used with all window panel modes.


Menubar

The menubar, like all LayerManager's dialog elements, may be configured to be displayed or not to be displayed – so you will get a little more space for the object lists. But please note : some (rarely used) functions may only be accessed by the menubar, not by toolbar or contextmenu.

Each menu column references to a adequate (and same named) toolbar – there are not all, but the menu column's most important functions included too. If you select a menu function that works in relation with layers, layergroups or hierarchies, the function is executed on selected objects of the currently active window panel (left or right). The currently active window panel is marked with the cyan colored headline. If there are no selected objects within the current window, so a menu function may be disabled, or a messagebox is shown with an information about missing selected objects.

To re-activate the hidden menubar, use the appropriate function from context menu or from toolbar "View".


Statusbar

The statusbar at the bottom of the main program window is used to display several informations. That's why it is recommended to have the statusbar enabled. But if you need to maximize the window's display area, the statusbar may be disabled, of course. In this case, all description texts of layers, layergroups and hierarchies will be shown as tooltips, when the mouse pointer moves over the objects. The function to enable and disable the statusbar can be found on the PullDown menu Menu/View/Statusbar, on the context menu and on the toolbar "View".


Toolbars

Very fast access to the most used LayerManager functions is provided by ToolBars. Each Pulldown menu column corresponds to an adequate toolbar – some rarely used functions are only to be accessed from the Pulldown menu.

Enabling/Disabling ToolBars: The functions to enable or disable individual toolbars are located in "Menü/View/Toolsbars" – all available toolbars are listed there. Each toolbar may be viewed or hidden, be docked to any borders or even be floating. LayerManager will restore the last used tollbars automatically.


ToolTips

Most of all dialog elements and most of all menu items will show ToolTips with useful informations about the object. This ToolTip often consists of 2 parts – a first short ToolTip and a second ToolTip with extended information. If a particular ToolTip offers that second text, you will see a small black triangle on the right side of the ToolTip window – move the mousepointer into the window, and the ToolTip will expand and show part 2 of ToolTip text; move the mousepointer out of the window, and the first ToolTip is displayed again …


Searchbar

Similar to a toolbar there is a searchbar available in order to localize objects accordingly to given search criteria. The searchbar may be enabled or disabled, may be docked or may even be floating. The toggles "Name" and "Info" define the properties that are scanned for the searchtext. The searchtext can be selected from the popuplist (containing earlier searchtexts) or can directly be entered in that popuplist-editfield. The searchtext may contain any usual wildcard(s). With the buttons "Search" and "Search New" the scan process starts – with "Search" the previous search results remain and will not be cleared, that means previous search results are continued with the new results. With "Search New" a really new search is started. The search/scan process always uses the objects (resp. their object properties) of the currently active window panel (left or right window panel). The search results are shown as selection within that window's objects.

NOTICE: If you would like to use more complex search criteria, or want to run the search independently of the displayed objects, so you can use the "Selection Filter" from the menubar or from contextmenu (Menu/Select/Selection filter).


Drawinglist

(only since AutoCAD 2000(i) !)

One of LayerManager's most outstanding abilities when running with AutoCAD 2000(i) is the possibility to assign one of the opened drawings to a specific program window. Each LayerManager window always represents only one drawing, that is freely selectable, however.

To enable or even disable the drawing list, please use function "Menu/View/Dwg-List". This drawing list provides fast access and change of the currently assigned drawing as well as the indication of the complete drawing name including the drawing's pathname.

Each LayerManager window may be configured to one of these modes :

· the window will always use AutoCAD's current drawing

· the window will always use the selected drawing

When set to mode AutoCAD's current drawing, indicated as entry <*CURRENT*>, the LayerManager window will show the objects of the currently active AutoCAD drawing – if you (or any application) switch to another drawing, the LayerManager window will also switch to that drawing too. When set to mode selected drawing the LayerManager window will permanently show that specific drawing selected by the user – even if that drawing is not AutoCAD's active drawing.

The complete name (including pathname) of the represented drawing will always be shown in the drawing list regarless which window mode is used – this is an important feature, especially, if same-named drawings are opened from different pathes/directories (i.e. the original and ist backuped drawing). Regardless wether the drawing currently assigned to a LayerManager window is the currently active AutoCAD drawing or not, all LayerManager functions are completely available – layers, layergroups and hierarchies may even be controlled for none-active drawings ! Only a few functions will automatically activate the drawing to be AutoCAD's active drawing when it is absolutely nessecary (for technical reasons). So the user must NOT nessecarily set the drawing to be the active foreground one, when working within that drawing. Because many LayerManager windows may be opened simultaneously, it is very comfortable and easy to watch and access several drawings at a time.- and this way the user has the ability to transfer LayerManager data betwenn the drawings by drag & drop ! Therefore, it is required, that at least 1 LayerManager window has a fixed drawing assigned (that means, not all windows use the <*CURRENT*> drawing.

To assign a specific drawing to the LayerManager window there is the drawing selection dialog available as well.


Drawing selection

(only since AutoCAD 2000(i) !)

The drawing selection dialog is located in "Menu/File/Drawing" resp. in the context menu.

One of LayerManager's most outstanding abilities when running with AutoCAD 2000(i) is the possibility to assign one of the opened drawings to a specific program window. Each LayerManager window always represents only one drawing, that is freely selectable, however.

Each LayerManager window may be configured to one of these modes :

· the window will always use AutoCAD's current drawing

· the window will always use the selected drawing

When set to mode AutoCAD's current drawing, indicated as entry <*CURRENT*>, the LayerManager window will show the objects of the currently active AutoCAD drawing – if you (or any application) switch to another drawing, the LayerManager window will also switch to that drawing too. When set to mode selected drawing the LayerManager window will permanently show that specific drawing selected by the user – even if that drawing is not AutoCAD's active drawing.

The complete name (including pathname) of the represented drawing will always be shown in the drawing list regarless which window mode is used – this is an important feature, especially, if same-named drawings are opened from different pathes/directories (i.e. the original and ist backuped drawing). Regardless wether the drawing currently assigned to a LayerManager window is the currently active AutoCAD drawing or not, all LayerManager functions are completely available – layers, layergroups and hierarchies may even be controlled for none-active drawings ! Only a few functions will automatically activate the drawing to be AutoCAD's active drawing when it is absolutely nessecary (for technical reasons). So the user must NOT nessecarily set the drawing to be the active foreground one, when working within that drawing. Because many LayerManager windows may be opened simultaneously, it is very comfortable and easy to watch and to access several drawings at a time.- and this way the user has the ability to transfer LayerManager data betwenn the drawings by drag & drop ! Therefore, it is required, that at least 1 LayerManager window has a fixed drawing assigned (that means, not all windows use the <*CURRENT*> drawing. If you need a more faster and/or more frequent access to the drawing assigned to the LayerManager window, then it is recommended to activate the "drawinglist". Like a toolbar, this popuplist will be docked to the window frame below the menubar. Because of the permanent visibility of the drawing's name a very fast access to the assigned drawing is granted.


Contextmenus

Based on the Windows Explorer design, LayerManager uses contextmenus very extensively. As well, nearly all functions (with only a few exceptions) are to be found there. Contextmenus are provides inside both (left and right) window panels; outside the window panels there are no contextmenus available. On principle, LayerManager separates between 2 different situations, where contextmenus for right mousebutton clicks are provided :

The mouse pointer is positioned outside any LayerManager objects – in this case the shown object-neutral contextmenu will be opened.

In practice, this object-neutral contextmenu is nearly identically given for both the right and the left window panel. Within the right window panel, the contextmenu will appear even in the area of property columns.
The mouse pointer is positioned directly above LayerManager objects – in this case the object-related contextmenu will be opened.

This contextmenu uses 2 "menu pages" : the 1. Menu page containes the (usually) most used functions, where the 2. Menu page containes the (usually) rarely used functions.

In generally, the object-related contextmenu show the last used menu page, when opened; you may switch between these 2 pages with the function "Other menu".

All sub-menus within the contextmenus are identically built like the same sub-menus within the PullDown menu – therefore any desired function is to be found exactly where expected.


Selecting / Marking objects

Most of all LayerManager functions are working with selected objects (also called selection). In this chapter all details to several methods of selecting objects are described. Compatible to the Windows Explorer, you can use usual key and mouse button combinations.The LayerManager offers additional methods for the object selection, which permit higher usability.

Selecting objects by keys:

· CTRL-A: Select All (All)

· CTRL-R: Select Revert (Reverse)

· CTRL-N: Select None (None)

· CTRL-F: Select by Filter (Filter)

Selecting objects by mousebuttons:

· Left Mousebutton without CTRL/SHIT key: normal object selection (single selection)

· Left Mousebutton and CTRL key: add / remove object to / from selection

· Left Mousebutton and SHIFT key: range selection, all objects from the last selected one

NOTICE: As an extension to the Windows Explorer standard, LayerManager offers the ability to select multiple ranges of objects – after selecting first range (i.e. with SHIFT) you may select the beginning of next range with CTRL and the end of next range with SHIFT again. In other words : SHIFT always selects the end of a range refering to the last begin of range – if that was selected together with CTRL-key it is an additional range, otherwise a normal range.

NOTICE: As an extension to the Windows Explorer standard, LayerManager allows multiple selection ranges and multiple selected objects even within the left/upper window panel !

Selecting objects within the properties columns (right / lower window panel only): Very useful is the method to select layers and layergroups in the area of the properties columns. With a normal mouse click usually the appropriate column function is started – to select or unselect that corresponding object use CTRL key to indicate that object selection is desired. You may also use SHIFT to select an object range. That means, by using CTRL/SHIFT keys LayerManager recognises your intention to select objects; otherwise, the appropriate column function will start.

Selecting objects with Searchfilter: There is also a search filter available to select objects if you want to select objects by their names or by their description texts. More details about using search filter you will find in chapter "Searchbar".

Selecting objects with Objectfilter: If you need to select objects by more complex criteria you may use the object filter function. More details about using search filter you will find in chapter "Selecting objects with Objectfilter".


Selecting objects with Objectfilter

The object filter is a powerful function to select objects by specific and/or multiple criteria. Run the object filter from Menu/Select/Selection filter or with the hotkey CTRL-F.

After starting the object filter remains in the Windows' foreground and corresponds to LayerManagers active window panel – if you switch to another window panel, the object filter will also switch the displayed contents. Objects, selected inside object filter, will be transfered into that active window panel by using "Apply" button. If you're using multiple LayerManager windows, each one uses ist own object filter.

Button "Apply": All selections from filter dialog will be transfered into active window panel as selection. The object filter dialog will not be closed.

Buttons "All", "Reverse", "None": Accordingly to the button, there will be selected all or none objects or the current selections will be reversed.

Checkbox "Selected only": If there exists a selection (i.g. some objects are selected), this checkbox will be activated – if you check this option, only selected objects will remain inside the list, all none-selected objects will be temporarily removed. Now you may refine your selection again, f.i. by other criteria. So you can define any selection step by step, especially with a large number of objects.

Selection criteria (Popup-list): Accordingly to LayerManagers active window mode the criteria list is filled with several criteria entries. Objects can be selected by specific color, linetype, visibility, xref-dependency or by objects included in layergroups/ hierarchies. Specific to that property a parameter dialog may follow and matching objects are selected.

Button "All": If you have reduced the number of displayed objects (by any functions of the criteria popup-list or by the checkbox "Selected only") this button will restore the complete object list (all layers, layergroups, hierarchies).

Button "Search": All displayed objects will scanned for the given textmask (may contain any wildcards) in the object names and description texts. Found objects are selected then in the object filter dialog then.


Doubleclicks

Like most of all UserInterface details, even the usage of left mousebutton's doubleclick may be configured by users. When shipped, LayerManager uses pre-defined settings for all objects. To change or review these doubleclick functions, that are executed when doubleclicked on a layer, on a layergroup or hierarchiy (also combined with CTRL/SHIFT keys), use the advanced LayerManager options.

NOTICE: Any doubleclick will have no effects in the area of the property columns within the right window panel – always doubleclick onto an object's name !

NOTICE: Any doubleclick will have no effects, if you have more than exactly 1 object selected !


Twice-Time clicked objects

By "Twice time clicking" one understands the repeated clicking to an object already marked with the left mouse button, - this is not to be confused with one doubleclick. Due to the Windows Explorer standard the editing operation for the marked object name will start - the LayerManager supports this inplace-editing for all kinds of displayed objects. Additionally this possibility for editing also exists for all description texts displayed within the propertiy columns of the right window panel.

If the editi function is active the small yellow editfield directly on the edited text will appear and you may edit that text (incl. cut/copy/paste from the contextmenu). The edit function could be finished by "Return/Enter" key or by mouseclick outside the edit field – using the "Escape" key the editing is cancelled.

Use this method best for editing the object's name resp. the object's description text.


Drag-&-Drop

For many operations the "Drag-&-Drop" technology is an extremely effective method - both the original object(s) and the target object(s) are already determined in advance. Especially the drawing structuring functions (like creating, inserting, moving etc), and, in addition, functions concerning the drawing entities (copy/move entities on layers, groups, hierarchies to another target layer etc) will take profits from this technology.

LayerManager supports Drag-&-Drop:

· within the same window panel

· between both window panels of the same LayerManager window

· between 2 LayerManager-windows

NOTICE: with AutoCAD 2000(i) Drag-&-Drop may also be used between different drawings, that are assigned to different LayerManagers – the most effective way to transfer LayerManager data !

The Drag-&-Drop operation may be started with both the left and the right mouse button – in reality, there is no difference between (unlike the Windows Explorer). When dropped (that means, when leaving the mouse button) the Drag-&-Drop contextmenu will always appear offering all available functions.

Decisive for the drag-&-drop procedure and the functions offered in the contextmenu are less the source and the target windows, rather than the kind and number of the source and target objects. The window mode of both source and target window panels has only indirect influence. During dragging with the mouse, a small ToolTip window at the cursor will appear with some hints to possible target objects; suitable target object(s) are highlighted in the target window with the (usually blue) selection marking bar. During drag-&-drop the mouse pointer varies in form depending on the source and target object(s).

NOTICE: The complete description of all available Drag-&-Drop operations is available in the chapter "Drag-&-Drop-Operations"


Configuration-Dialog

LayerManager offers a large set of program options, to be configured by the user in order to modify the programs behaviour and appearance to best fit the users needs. All settings will be made using a central dialog based on property pages due to several spheres of program parameters.

The configuration dialog may be opened from PullDown "Menu/File/Preferences" or similar from the context menu "Preferences".

All settings are saved with file "Layman.ini" in sub-directory."…\Ini\<UserName>" in an user-dependent location.

NOTICE: the configuration files (i.e. when using a network installation) may be write protected without any problems !


LaymanPro-Options

The property page "LaymanPro" shows all settings related to LayerManager's handling inside the AutoCAD drawing.

also see :

Load & run LAYMAN with AutoCAD-startup

Use Freeze-Thaw (instead of On-Off)

Sort all displayed lists

Consistency-Check only at Re-Initialize

Restore M-P-Space layers automatically

Scan for new blocks/xrefs automatically


Load & run LAYMAN with AutoCAD-startup

After installation it is nessecary to load LayerManager manually for the first time (AutoCAD menu "tools / applications" or command "appload") and to start it with the command "LaymanPro" or LmPro". If the user would like to have LayerManager automatically loading & running with each AutoCAD startup, this option should be checked.

This means, LayerManager is permanently integrated and will automatically load together with AutoCAD.

Recommended: ON (LaymanPro will load together with AutoCAD)


Use Freeze-Thaw (instead of On-Off)

The user can choose the way that LayerManager will control layers inside the drawing – there are both methods available : On/Off or Freeze/Thaw. Each of these methods has ist own advantages and disadvantages depending i.e. on the drawing size. When using On/Off, LayerManager can execute some activating and displaying functions much faster, on the other hand the screen regeneration for large drawings is faster when using Freeze/Thaw.

So it is recommended to check both methods with usual drawings to decide the best way. Regardless of these tips, the enormous power of today's PC and workstations, this setting may loose its importance ... so controlling layers by On/Off should be convenient in most cases.

Recommended: OFF (that means layers are controlled using the On/Off-method)

NOTICE: If you change this setting, LayerManager will re-organize all layers when the dialog is closed, that means all layer will retain their visibility state, but will be changed from OFF to FROZEN and from ON to THAWED.

NOTICE: If you change layers with AutoCAD's layer dialog by FREEZE/THAW and have LayerManager configured to ON/OFF, it is recommended to execute this function sometimes: Menu/Edit/Layer/Re-Organize. By doing so, drawing layers will be adjusted to a homogeneous state.


Sort all displayed lists

Sorting all represented objects (layers, layergroups, hierarchies) may be enabled or disabled. It could be useful for large objectlists (> 500 layers) to disable sorting function, in order to prevent slow list refreshings.

Recommended: ON

NOTICE: Even when sorting is active, LayerManager will sometimes prevent objects from being positioned at the sorted position. This will always happen after inserting or creating new objects, in order to allow the following editing of the objects name – you know that from Windows Explorer. To correct display in such situations, use Menu/View/Refresh Windows from PullDown or context menu.


Consistency-Check only at Re-Initialize

In very rarely situations and if the "Rx-Automation" option is disabled it could happen after some special operations like "Insert" or "DxfIn", that an unclean/incorrect state inside LayerManager's data will exist. This situation will be corrected by a consistency-check If this option is not checked, LayerManager will execute the consistency-check at each program start and after several operations automatically – that could be very time consuming for larger drawings !

If this option is unchecked, LayerManager will execute the consistency-check only when loading/saving a drawing and together with a Re-Initializing (Menu/File/Re-Initialize).

Recommended: OFF (consistency-check is executed only when loading or saving the drawing or when re-Initializing LayerManager)


Restore M-P-Space layers automatically

If the user often switches between modelspace and paperspace resp. between paperspace-layouts, LayerManager offers the ability to restore modelspace/paperspace/layouts to their last used layer state. If this option is checked, LayerManager will restore the current space/layout automatically. Under "Details" you may configure which layer properties are to be restored; regardless of these settings, all layer properties are always saved when the user switches to another layout.

Notice: You will also find this option and all layer properties, that shall be restored, at the toolbar "Layout-dependent Layer-Properties" to have a fast and immediate access to control Layout-Restauration.

This option is based on AutoCADs layer mechanism in paperspace : within paperspace (and paperspace-viewports !) only those layer can be used sensefully, that are not frozen in modelspace ! Therefore, modelspace and paperspace/layouts depend on eachother (they are really not independent from eachother) – one bad side-effect is that the user's modelspace layer situation in the drawing is destroyed, when using paperspace in combination with Freeze/Thaw layer method. If switched back to modelspace, all layers must be re-configured. But LayerManager may solve this basic conflict by saving and restoring the last used layer situations for each modelspace, paperspace and layouts.

By means of this technology, LayerManager enables you to use modelspace/paperspace/layouts completely independent from eachother the first time at all – this is one of LayerManagers most powerful features !

Recommended: ON (automatic layout restauration is active)


Scan for new blocks/xrefs automatically

Usually, LayerManager will detect newly loaded blocks and xrefs automatically and will scan these new blocks and xrefs for layergroups and hierarchies. But the user may decide, to prevent the automatic scanning – in this case, the user will be asked about scanning each time new blocks/xrefs are detected. By the way, the scanning process is executed exactly once for each block/xref, usually when it is inserted in or attached to the drawing – multiple inserts or attachments are only references.

Recommended: OFF (user will be asked about scanning)

NOTICE: If this option is not checked and you din't confirm LayerManager's request to scan the block or xref, all LayerManager data inside this block/xref are not available. Use the function "Re-Initialize" to rescan all LayerManager data (even from blocks/xrefs) to get these data available again.


Windows-Options

The second property page "Windows" shows all settings related to LayerManagers behaviour as a windows program. These options have great effects on the program comfort and coexistence of AutoCAD and LayerManager.

Recommended: simply try all settings, just in combination – you will get an impression how they work ...

also see :

Window stays always in foreground

Shrink window to titlebar when inactiv

Active window follows the mouse

Drag & Drop opens/closes objects (with Ctrl/Shift)

Show ToolTips for Pulldown-/Context-Menu

Use "Flat Design" (Cool Controls)


Window stays always in foreground

Using this option, the LayerManager program windows will always retain in the windows foreground, that means before AutoCAD's drawing window; even when using the "Minimize"-buttons from the windows' titlebars, the minimized LayerManager icon windows will stay in foreground and may be placed anywhere on the desktop. If this option is not checked, all LayerManager windows will appear on the Window's taskbar just like normal window programs do.

All LayerManager windows will save their window positions, regardless wether they are minimized or not.

Recommended: ON (always in the windows' foreground)


Shrink window to titlebar when inactiv

One of LayerManagers most funny features is to stay in the foreground, but to minimize its window automatically, when LayerManager is currently not in use – this is done by "roll-up" the window to the titlebar.

This option is based on the situation, that many "modern" software uses many windows permanently and simultaneously (i.e. AutoCAD 2000(i)'s properties manager, several project windows by MAP or MD, dockable tree-view windows etc.). This software layout may be efficient to have a fast object access – but it also has a substantially heavy disadvantage : there is no large effort nessecary by such a software design to reduce the effective drawing area down to 17'' on a new, expensive 21'' CAD monitor ... AutoCAD makes it easy to have an effective working area like anno 1990 ... this is user-friendly software ??

LayerManager uses much more intelligence for the window management – when the user works in the drawing area again (the mouse pointer is outside LayerManager window), ist window shrinks itself ("rolls-up") to the size of the titlebar. If you click to this titlebar, the LayerManager window opens again to its previous size and position. Herein, LayerManagers titlebar may be moved to any position, for example even to inside AutoCAD's statusbar or titlebar. When the window opens again, it is automatically placed to be completely visible. By this technology (many thanks to Corel Draws palettes windows) LayerManager will not reduce the working area, when LayerManager is not used for the moment.

Recommended: ON (automatic minimization is active)

Example for the normally opened program window:

Example for the reduced/shrinked program window:


Active window follows the mouse

Normally, there is one mouseclick nessecary to switch between 2 windows – additionally, LayerManager may be configured to "watch" the mouse movement – thereby automatically activating the LayerManager window or the drawing editor window without any mouseclicks, only depending on the mouse pointers location.

This option may be especially useful in combination with the option before (automatic window minimization).

Recommended: please check it out wether this option is convenient for you – this is really a question of personal taste ...

NOTICE: Windows NT 4.0 offers another option for automatic window tracking : if you have "MS Tweak UI" installed (a tool by Microsoft), you may use an option called "X-Mouse". Thus the window below mouse pointer is automatically activated – system wide !


Drag & Drop opens/closes objects (with Ctrl/Shift)

If this option is active, the user may open any "target object" that is pointed by mouse during Drag&Drop process by simultaneously pressing down the CTRL-key. In opposite, "target objects" are closed again, when the SHIFT-key is used instead. By this means, navigation during Drag&Drop is simplified, and it is not nessecary to manually open the desired target object before running Drag&Drop process.

If this option is not active, the target objects are not opened/closed anyway.

Recommended: ON


Show ToolTips for Pulldown-/Context-Menu

With this option, ToolTips are displayed not only for dialog controls, but even for all Menu items – especially when getting to know LayerManager this is some useful support.

Recommended: ON


Use "Flat Design" (Cool Controls)

Using this option, LayerManager uses a more modern, flat-style Look&Feel; all dialog controls are somewhat more flat than in standard windows, and these dialog controls will slightly move-up when the mouse-pointer is positioned over the control. If this option is not active, LayerManager uses the standard windows Look&Feel.

Recommended: Use it accordingly to your peronal taste


Advanced Options

The property page "Advanced" shows all settings related to LayerManagers special features.

also see :

Activate Rx-Object-Automation

Open SelectBox to select content for newly created Objects

Use bold labels for Groups and Hierarchies

Use Color for Groups and Hierarchies

Color for None-AutoStructure-Objects

Mousebuttons

Functionkeys

User-Interface-Language


Activate Rx-Object-Automation

If this option is active, LayerManager is able to watch all situations, processes and the entire drawing database within AutoCAD by means of ARX technologies in order to have all LayerManager data actually and valid. And by this technology, LayerManager is enabled to automatically react to basic processes without user interaction. If this option is not active, the users must manually refresh the LayerManager window each time any layer is modified, created, erased etc. by any application or AutoCAD's layer dialog or by whatever (with Menu /View/Refresh Windows).

Example: You are about to save your drawing - without Rx-Automation you must use LayerManager's "Save" function to save your layergroups etc. before saving the drawing – when Rx-Automation is active, LayerManager will be informed about saving the drawing by AutoCAD, and will save ist own data automatically before the drawing is saved.

Highly Recommended: ON (Rx-Automation is active)


Open SelectBox to select content for newly created Objects

When creating a new Layergroup/Hierarchy by using Drag&Drop there are 3 steps precessed :

  1. defining the name for the new object

  2. defining the description text for the new object

  3. selecting the content (layers resp. groups/sub-hierarchies) for the new object

If this option is active, the 3rd step is not used – this may be of advantage, if a large number of Groups or Hierarchies should be defined, but without content, in order to save time. All content for that objects may be filled by Drag&Drop at any time later.

Recommended: Use it accordingly to your peronal taste and needs


Use bold labels for Groups and Hierarchies

With this option it is possible to have Layergroups and Hierarchies displaying in bold textfont within the left window panel. This can improve the display's clearness and usability.

Recommended: ON


Use Color for Groups and Hierarchies

If this option is active, you may select on own color for Layergroups and Hierarchies for the left window panel. This will also improve clearness and usability for the left window panel. If this optionis not active, all objects are displayed with the standard color defined.

Recommended: Use it accordingly to your peronal taste and needs


Color for None-AutoStructure-Objects

This option allows you to choose a separate color (for the right window panel) for all those layers and groups, that are not covered by any AutoStructure-Template. This is a very efficient way to check usage and results of your AutoStructure-Template definitions and also to proof the drawing's structure.

Recommended: Use it accordingly to your peronal taste and needs


Mousebuttons

LayerManager takes many efforts to have the program configurable to meet the users intentions, needs or personal taste – that's why LayerManagers also offers to configure the doubleclick function for the left mouse buttons. The doubleclick may be combined with SHIFT and CTRL keys, These combinations have their own functions, separately for doubleclicked layers and layergroups/hierarchies.

Recommended: There are useful functions predefined by default - but please check all settings, may be you will have other priorities ...


Functionkeys

May be, it looks a little bit like antiquated (especially AutoCAD 2000(i)'s "Head-Up Design" states that mouse/menu handling is sooo much faster then keyboard usage...) – but LayerManager conscious will not miss the ability to use the function keys for very fast handling: all unused function keys (F2 ... F8) may be used for nearly all LayerManager functions – please don't worry, all function key assignments are only valid within LayerManager, they will not disturb AutoCAD's function key handling.

Example: You will get a good impression about efficiency and power of keyboard usage – simply select some layers or layergroups and then press <F2> function key to HighLight entities on selected objects.

Recommended: There are useful functions predefined by default – but please check all settings, may be you will have other priorities ...


User-Interface-Language

The popup-list will show all installed program languages – you may choose your desired interface language. This language also applies to online-help, of course. Changing the interface language will only take effects after an AutoCAD restart !

Note: Depending on your installation and LayerManager version the language selection may be deactivated.


Print- and Print-Preview

Beginning with version v4.1 LayerManager offers Print- Print-Setup and Print-Preview-Support for both window panels. You will find these functions under "Menu/File/Print-Setup", "Menu/File/Print-Preview" and "Menu/File/Print". At first, click into that window panel you want to be printed, then select these functions.

LaymanPro uses independent Printer-/Page-Setups for each window panel : so you may print the left window using portrait mode, the right window panel may be independent printed using landscape mode. The page-setup and print-dialogs are based on the standard Windows' printing dialogs, so users should be familiar with them to get convinient printing results.


Working Layer Window

Under "Menu/View/Working Layers" and "View/Working Layers" from context menu, a small window will open as shown below. This window will always stay in AutoCAD's foreground and may be scaled and positioned due to your needs. This "Working Layers" window will always show the summary of those layers, that are included with selected layers, layergroups and hierarchies within LayerManager's window. The "Working Layers" window remains opened, even if the LayerManager window is minimized or folded-up – this way, you will still see your pre-selected layer collection and may use it with AutoCAD : with exactly 1 click any layer may become the current AutoCAD layer ! Especially when the drawing contains many layers (> 100) you will have a very fast access to desired layers, with high security and without scrolling large layer lists !

Example: you may want to hatch objects, and create hatch entities on several layers, out of 300 :

Simply pre-select all that hatch layers within LayerManager (note: have the "Working Layers" window open to watch that collection) by selecting any suitable layer, layergroup and/or hierarchy. Then open the "Working Layers" window, if it isn't opened yet. If you now want to change the current drawing layer – simply click that one in "Working Layers" window – that's all !

After "collecting" all desired layers you will want to work with, change the current drawing layer with exactly 1 click – without scrolling & searching – additionally, the current layer is always highlighted.

This window may be scaled due to your needs, and the last-used position is saved.


Tip-of-the-Day

If you like it, LayerManager will show the usual "Tip-of-the-Day" Infobox at the first program start : all new & improved features are introduced there, and a lot of useful hints are given around LayerManager.

This infobox may also be opened from the Help-Pulldown-Menu at any time.

If you want to disable the automated infobox at startup, simply uncheck this option.


Web-Support

At the right statusbar edge (besides the icons for Layer-History) you will see the small Web-Icon for direct Web-Access to LayerManager's-Homepage :

http://www.LayerManager.com

There you will always get the latest program release, many Tips-&-Tricks, the FAQ answers, the user's forum (newsgroup).

Additionally, you may get the complete documentation there (printable PDF).

At least, you can use the website to send us all your ideas, notes, wishes and all (known/assumed) bugs there, of course.

Any feedback is always welcomed !

You may use these Email adresses :

  1. Info@LayerManager.com for general informations around LayerManager

  2. Feedback@LayerManager.com :for all your ideas and needs related to the program

  3. Bugreport@LayerManager.com :for any reports about bugs and issues


Add descriptions to objects

LayerManager offers the ability to extend each AutoCAD-layer, layergroup and hierarchy with an optional describtion text. This additional object property is a freely defined description text up to 255 characters given by the user. All description texts are handled exactly the same way, regardless of wether they are layer-, layergroup- or hierarchy descriptions.

There are several ways to access and edit description texts.

Context Menu/Infotext: First select the object, then use "Infotext" from the context-menu. At the bottom of program window (above the status line) a yellow edit field opens to edit the object's description text. You can exit the editing process with <Return/Enter> or by mouseclick outside the yellow edit field, to cancel editing press <Escape> key.

NOTICE: If you select multiple objects, the Infotext-Dialog will be opened instead of the edit-field.

Editing directly within "description column" : In case that description text column is displayed in the right window panel, it is possible to edit the description text directly inside that column. Simply click (without Ctrl/Shift key pressed) on the description text you want to edit resp. click into the area of that object's description text. The yellow edit field opens in-place and you may enter/edit the description text. You can exit the editing process with <Return/Enter> or by mouseclick outside the yellow edit field; to cancel the edit process press <Escape>.

NOTICE: if needed, scroll the right window panel horizontally in order to have the complete column visible; you may also adjust the column width.

Edit description texts by using the Infotext-Dialog:

Another way to edit description texts of layers, layergroups and hierarchies with much more comfort is to use the "Infotext Dialog". This is recommended especially if you want to edit multiple objects at the same time, i.e. when you setup a drawing for the first time. You will find further informations about that dialog in the chapter "Edit descriptions".


Edit descriptions

LayerManager offers the ability to extend each AutoCAD-layer, layergroup and hierarchy with an optional describing text. This additional object property is a freely defined description text up to 255 characters given by the user. All description texts are handled exactly the same way, regardless of wether they are layer-, layergroup- or hierarchy descriptions – so all information given in this chapter is valid for all objects. Using the "Infotext Dialog" many opportunities are offered to edit description texts, especially if you want to edit multiple objects in one step. This way you can apply one text to several objects; later you can refine the descriptions for each object separately. There is no need to select desired objects in the LayerManager' window panels before opening the Infotext dialog.

You will find the function for the Infotext-Dialog under "Menu/Edit/Infotexts". At first, the dialog will use the window mode (layers, layergroups, hierarchies) of the active window panel as default, but the user may freely switch between these modes within the Infotext dialog by using radio buttons "Hierarchies", "Groups" and "Layers" There is a search function (even with wildcards) available.

Select the object(s) you want to be edited – the description text of the last selected object is displayed in the edit field at the dialog's bottom. After selecting last needed object you may edit the description text. To apply the new/changed description text press button "Change" – the description text is then taken for all those objects. You may also enter any search text or keyword (with wildcards) at the edit field – using the "Search" button. All object names and descriptions are scanned for that search text; all items found are highlighted and selected automatically. Simply enter a new or change existing description text for these objects.

If you mark the checkbox "Selection" before exiting the dialog, the currently selected objects are taken as selection into LayerManager's active window panel.


Creating new Layers

The function to create a new layer is placed in the PullDown-Menu and in the context menu under "Menu/File/New/Layer": First set the right window panel to one of the representation modes "All Layers", "Dependent Layers", "All visible Layers", or "All invisible Layers". Then select function "Menu/File/New/Layer" from the menubar, from the context menu or from the toolbar "File/New Entry".

Within the right window panel a new entry named "New Layer" is created and the yellow edit field is opened to modify the layer's name - please enter the new layer name as you need it.
After applying the layer's name you will be asked for the layer's description text. The yellow edit field appears at the window's bottom to edit the layer description – please enter the new layer description text.

NOTICE: In case the right window panel is configured to mode "Dependent Layers", you need to select one or more layergroups inside the left window panel – the new layer created within the right window panel will automatically be inserted into those selected layergroups; If the right window panel is configured to mode "All Invisible Layers" the newly created layer is additionally off/frozen.


Creating new Layergroups

One of the central aspects with the drawing structure is the setup and generation of LayerGroups. Therefore the different methods for the layergroup creation are explained very detailled.

A layergroup consists of the layergroup name (up to 255 characters), a supplementing description text (up to 255 characters) and a number of layers, that form the layergroup contents (in addition, a layergroup may also be empty). The names of the layergroups must be unique, i.e. no group name must be assigned several times. Later references to layergroups are always links to that layergroup. Layergroups are saved directly inside the drawing, like all LayerManager objects, just as part of your drawings.

By using Menufunction : "Menu/File/New/Layergroup":

First set the left window panel or right window panel to representation mode "Layergroup" or "Dependent Layergroup. Then select function "Menu/File/New/Layergroup" from the PullDown menu, from context menu or from the Toolbar "File/New entry".

A new entry named "New Layergroup" is created inside the currently active window panel. The yellow edit field is opened then to edit the layergroup name - please enter the name of the layergroup now.
After you applied the layergroup's name, the edit field to change the default layergroup's description text is opened at the window's bottom - please enter the new description text here.
At last, select all layers to be contained by the new layergroup – therefore the object filter dialog is opened - please select all desired layers and exit the dialog by "Apply".

The new layergroup is completed now – but all properties may be modified at any time later.

NOTICE: the same function may also be accessed from ToolBar "File/New Entry" and from Context menu "New/Layergroup".

ALTERNATIVE METHOD using menu function "Menu/File/New/Layergroup" :

There is an alternative method for creating Layergroups : pre-select all that layers you want to be joined into a new Layergroup – then use function "Menu/File/New/Layergroup" from the menu or context menu. The shown dialog will open.

There you can set and define all properties for the new Layergroup that is to be created – even the list of contained layers may be changed (add/remove layers).

As a special feature, you may integrate the new Layergroup into one of the existing Hierarchies – this may save you some time and work, instead of doing this in a separate procedure.

If this option is not needed, unselect "Insert into Hierarchy" and that part of dialog will be "folded-in".

By using "Drag-&-Drop":

At first, set the right window panel to one of the layer representation modes, the other window panel (usually the left one) should be set to the representation mode "Layergroups". Then select all layers that you intend to join into an own layergroup inside the window panel containing the layer representation – click to one of these selected layers (with right or left mouse button), hold the down mouse button and drag your selection into the other window panel containing layergroups. Move the mouse pointer into an empty area of this window panel and release the mouse button – the Drag&Drop context menu will appear, with available functions shown, and use "New". A new layergroup entry named "New Layergroup" is created in that drag target window then. The yellow edit field is opened automatically to change/edit the layergroup name – please enter the name for this new layergroup. When the new name is applied, you may additionally apply a new layergroup description text: the yellow edit field to apply the layergroup description is opend at the window bottom – please enter the new layergroup description there.

Notes for Drag-&-Drop: It is NOT of importance where (in which window panel) or which representation mode that source window uses when you select layers for a drag&drop operation – if layers are displayed, you may select theses displayed layers as source objects for drag&drop. So you may also select layers from an opened layergroup. Only the drag&drop target window needs to be in "All Layergroups" or "Dependent Layergroups" mode, and you should drop the source layers into an empty area of the target window. A complete description of all drag&drop operations possible with LayerManager is given in the chapter "Drag-&-Drop-Operations ".
General Notice: In case the right window panel is configured to mode "Dependent Layergroups", you need to select one (or more) hierarchies inside the left window panel – the new layergroup created within the right window panel will then automatically be inserted into those selected hierarchies.


Structuring the drawing - Extending Layergroups

Extending Layergroups

Sometimes it necessary to revise existing layergroups, i.e. to change/add layers contained in a layergroup. Apart from removing layers from layergroups there is the possibility for taking up further layers into layergroup(s), of course.

by using Menufunction "Menu/File/Insert/Layer" :

First select one (or more) layergroup(s), that you would like to extend with new layers; it makes no difference where you select the layergroups or what representation mode is used by the window panel. Then use function "Menu/File/Insert/Layer" from the PullDown-Menu of similar from the context menu. The commonly used Object filter dialog will open to select those layers to insert – please select those layers you would like to be inserted, then press "Apply". There is no problem if you select even such layers, that are already contained in the layergroups you want to extend – LayerManager always (tries) to work much intelligent, and will process a number of consistency checks internally, and will not add such layers multiple times. This way, you may always select all layers you need as part of a layergroup, regardless wether the specified layer is already used or not.

NOTICE: If you have selected more than one layergroup, so all selected layers will be inserted into ALL ot these layergroups, of course !
NOTICE: The function to insert objects into higher-level objects is also provided by "ToolBar:File/Insert" and at the "contextmenu/Insert/Layer".

by using "Drag-&-Drop" :

At first, select all layers you want to inserte into layergroups within either the left or right window panel. The panel's representation mode is of importance here. Then left-click to one of these selected layers, hold down the left mouse button and drag the mouse pointer to that window panel containig or representing the target layergroup(s). Move the mouse pointer directly on the target layergroup (or on one of selected target groups) – the target layergroup is highlighted to indicate a valid Drag-&-Drop target object. Now release the mouse button, the drag-&-drop context menu will open then – select function "Insert" resp. "Insert all".

Notes for Drag-&-Drop: If you intend to insert selected layers into multiple layergroups with one step, simply select ALL target layergroups BEFORE starting Drag-&-Drop process. The Drag-&-Drop context menu will also show the function "Insert all", this inserts the dragging layers into all pre-selected layergroups (and additionally, also into the pointed one).

A complete description of all Drag-&-Drop operations possible with LayerManager is given in the chapter "Drag-&-Drop-Operations ".


Creating new Hierarchies

A Hierarchy consists of the Hierarchy Name (max. 255 characters), the complementary description text (max. 255 characters) and a number of Sub-Hierarchies and/or Layergroups; additionally, a hierarchy may also be empty, without any sub-hierarchies and layergroups. Hierarchy names must be unique, that means, no other object (hierarchiy or layergroup) must use the same name. At any time later, all reference to hierarchies and layergroups are based on Links to that objects. All Hierarchies (like any other LayerManager objects) are saved directly inside the drawing.

Each hierarchy may contain any number of both included (sub-)hierarchies and layergroups at the same time. A new hierarchy is created below the selected parent hierarchy – if no (parent) hierarchy is selected, the newly created hierarchy is positioned as "top-level hierarchy": that means, the new hierarchy is created at the main top level. When creating a new (sub-)hierarchy, the user is automatically asked to select layergroups to include. To insert other hierarchies as content, you need to use the functions to insert hierarchies at later time.

by using Menufunction "Menu/File/New/Hierarchy" :

At first, configure the left window panel to mode "Hierarchies". Select the parent hierarchy where you want to create a new hierarchy below or select nothing if you would like to create a new top level hierarchy. Then select function "Menu/File/New/Hierarchy" from PullDown-Menu or from the Contextmenu.

Inside the left window panel a new entry named "New_Hierarchy" is created and the yellow edit field is opened to edit the hierarchy name – please enter your desired name for the hierarchy.
After entering the new hierarchy's name the yellow edit field is opened at the windows bottom to edit the hierarchy's description text - please enter the complementary description text for .
At last, you may select the layergroups that are to be included by the new hierarchy – the object filter dialog will be opened to select these layergroups – please select your desired layergroups (or even none) and press "Apply" button.

ALTERNATIVE METHOD using menu function "Menu/File/New/Hierarchy" :

There is an alternative method for creating Hierarchies : pre-select all that Layergroups you want to be joined into a new Hierarchy – then use function "Menu/File/New/Hierarchy" from the menu or context menu. The shown dialog will open.

There you can set and define all properties for the new Hierarchy that is to be created – even the list of contained layergroups may be changed (add/remove layers).

As a special feature, you may integrate the new Hierarchy (as Sub-Hierarchy) into one of the existing Hierarchies – this may save you some time and work, instead of doing this in a separate procedure.

If this option is not needed, unselect "as Sub-Hierarchy" and that part of dialog will be "folded-in".

by using "Drag-&-Drop" :

First configure the left window panel to mode "Hierarchies", the right window panel should be configured to one of the layergroup modes.

Select all layergroups you would like to join into a new (sub-)hierarchy inside the right window panel – then click (with the right or left mouse button) to one of these layergroups, hold down the mouse button and drag the layergroups into that window panel containing the hierarchy list.

Move the mouse pointer wether into the empty area of the target window in order to create the new hierarchy at top-level, or point to to the target hierarchy, if you would like to create a new sub-hierarchy bewlow the pointed (parent) hierarchy. Then release mouse button – the drag-&-drop context menu will appear with available functions: select function "New".

Within the target window a new object "New_Hierarchy" is created and the yellow edit field will be opened – please enter the new name for that new hierarchy. When finished with applying the hierarchy's name, the next edit field will be opened at the window bottom to edit the hierarchy description text - now apply the the new description text there.

Notes for Drag-&-Drop: It is NOT of importance where (in which window panel) or which representation mode that source window uses when you select layergroups for a drag&drop operation – if layergroups are displayed, you may select these displayed layergroupss as source objects for drag&drop. So you may also select layergroups from any other opened hierarchy. Only the drag&drop target window needs to be in "Hierarchies" mode, and you should drop the source layergroups into an empty area of the target window or on desired parent hierarchy. A complete description of all drag&drop operations possible with LayerManager is given in the chapter "Drag-&-Drop-Operations" .

The complete reference for Drag-&-Drop operations is given in the chapter "Drag-&-Drop operations".


Structuring the drawing - Extending Hierarchies

Extending Hierarchies

Existing hierarchies may be extended by either inserting existing/new sub-hierarchies or by inserting existing/new layergroups into selected (one or more) hierarchies.

by using Menufunction "Menu/File/Insert/Hierarchy" :

Using this method you may insert one/more existing hierarchies into one/more selected target hierarchies – they are inserted as sub-hierarchies, similar to creating/inserting a sub-folder on your disk.

At first select one or more target (or parent) hierarchies, where you want the existing hierarchies to be inserted. Then use the function "Menu/File/Insert/Hierarchy" from the menubar or from context menu – the known "Object Filter" dialog will appear to select all those hierarchies you want to insert – please select these hierarchies and press "Apply" button. There is no problem to select and re-insert hierarchies that are already included – LaymanPro works much intelligent and will detect such situations automatically. Thus you may always select all that hierarchies you really need, regardless wether they are already contained within the target hierarchy.

NOTICE: If you have several target objects selected, so all hierarchies you choose with "Object filter" will be inserted into all these selected target objects !
NOTICE: the same function is also accessible via "ToolBar:File/Insert" and from "Context menu/Insert/Hierarchy".

by using Menufunction "Menu/File/Insert/Layergroup" :

Using this method you can insert one/more existing layergroups as part of (one or more) selected target hierarchies – similar the to create/insert a file within a folder on your disk. First select one or more hierarchies, where you want additional layergroups to be inserted. Then use function "Menu/File/Insert/Layergroup" from the menubar or from context menu – the known "Object Filter" dialog will appear to select all those layergroups you want to insert – please select these layergroups and press "Apply" button.

There is no problem to select and re-insert layergroups that are already included – LaymanPro works much intelligent and will detect such situations automatically. Thus you may always select all that hierarchies you really need, regardless wether they are already contained within the target hierarchy.

NOTICE: If you have several target objects selected, so all layergroups you choose in "Object Filter" will be insertedwill be inserted into all these selected objects !
NOTICE: the same function is also available via "ToolBar:File/Insert" and from "Context menu/Insert/Layergroup".

Inserting Hierarchies by using "Drag-&-Drop ":

Select all those hierarchies (within the left window panel) you want to insert as sub-hierarchies in a target hierarchy. Left-click or right-click to these selected hierarchies, hold down the mouse button and drag these objects to the target hierarchy. The target hierarchy is highlighted to indicate a valid drag-&-drop target object. Release the mouse button – the small Drag-&-Drop context menu will open: please select function "Insert".

Inserting Layergruppen by using "Drag-&-Drop ":

At first, select all layergroups (within any suitable window panel) you want to be inserted in a target hierarchy. Left-click or right-click to one of these selected layergroups, hold down the mouse button and drag these layergroups to the target hierarchy. The target object is automatically highlighted to indicate a valid drag-&-drop target object. Release the mouse button – the small Drag-&-Drop context menu will open: please select function "Insert".

It is no problem to re-insert layergroups into target hierarchies that are already contained by target hierarchy.

Notes for Drag-&-Drop: If you intend to insert selected layergroups into multiple hierarchies with one step, simply select ALL target hierarchies BEFORE starting Drag-&-Drop process. The Drag-&-Drop context menu will additionally show the function "Insert all" : this inserts the dragged layergroups into all pre-selected hierarchies (and additionally, also into the pointed one).

A complete description of all Drag-&-Drop operations possible with LayerManager is given in the chapter "Drag-&-Drop-Operations ".


Rename objects

To rename one of LayerManager's objects to a new name, select the object to be renamed separately. That means, no other object (within the same window panel) should be selected. Generally, there are 2 methods available for renaming an object :

By using function "Menu/File/Rename" from the Pulldown menu resp. from context menu the renaming process starts. The commonly used yellow edit field is opened in-place to edit the object's name. Alternative: you may also edit the object's name by a second mouse click on selected object – the yellow edit field will open as described.

If renaming process is successful, all dependencies related to the renamed object are automatically updated within LayerManager's data and within the drawing resp. This function is also available from ToolBar "File".

NOTICE: If you have selected multiple objects when using function "Menu/File/Rename", so the function "Clone objects" is started automatically instead of using original renaming function.


Copy objects

The Copy function can handle all LayerManager's objects (layers, layergroups, hierarchies). You will find the copy function under "Menu/File/Copy" at the PullDown menu, at the context menu and at ToolBar "File". The copy function will always creates an exact double of the source object – that means, the newly created object will always inherit all object properties from its parent object: layers will inherit all layer properties, layergroups will inherit all included layers and hierarchies will inherit all included sub-hierarchies and layergroups.

After applying the copy function, a new object entry will appear within the currently active window panel and the commonly used yellow edit field will open - now you may enter the name for the new object. As the next step the larger yellow edit field at the window's bottom will open to edit the object description – please enter the new object's description, as needed.

Especially when copying layers: Before the layer is copied, you will be asked, wether all drawing entities located on source layer should be copied to the new layer too – if this is desired, please mark the check box.

NOTICE: If you have selected multiple objects when using function "Menu/File/Copy", so the function "Clone objects" is started automatically instead of using original copying function.


Clone objects

Derived from commonly known functions "Rename" and "Copy" is the function "Clone". You can't access the "Clone" function wether from PullDown menu nor from context menu or toolbars – LayerManager will start the "Clone" function automatically in case, you have selected several objects and then use "Copy" or "Rename" functions. Because copying and renaming multiple objects is not clearly determined, LayerManager offers the "Clone" function instead.

When "Cloning" is based on the "Copy" function, each object is copied to a new name built with prefix and suffix texts supplied or by Searching+Replacing the given text fragments.
When "Cloning" is based on the "Rename" function each object is renamed to a new name built up with prefix and suffix texts supplied or by Searching+Replacing the given text fragments.

Especially for Cloning Layers: If you are using the Clone function based on Copy function there is an opportunity to copy that drawing entities located on the source layers to the new target layers too (like for the Copy function itself) – if you want to copy drawing entities too, so please mark the checkbox.


Move objects

At this time, Moving objects is available only for layergroups and hierarchies as moving between hierarchies by using Drag-&-Drop-Operations. If the left window panel is configured to mode "Hierarchies" you can select all objects to be moved. Then drag these objects to the new target hierarchy, where to insert them. Then release the mouse button – the Drag-&-Drop context menu will appear : now select function "Move".

NOTICE: The "Move" function is not available from wether Pulldown-Menu or either from context menu – the Move function is only available when using Drag-&-Drop-operations.


Erase/Remove objects

All LayerManager objects may be erased, of course. This is valid for any layer, layergroup and hierarchy. The "Erase" function may be accessed via PullDown menu "Menu/File/Erase" or via context menu "Erase" or even from ToolBar "File". At first, select all objects in any window panel that you want to be erased, and then select function "Erase" – there is always a request to confirm the erase operation before erasing objects !

Depending on the current window's mode the "Erase" function will work in slightly different ways …

Erase Layers:

Window-Mode"All Layers", "Active Layers", "InActive Layers": (all at right window panel)

In this mode the drawing layers are erased if the user confirms the request. All layers to be erased are removed from the drawing and even from all LayerManager data structures.

Window-Mode "Dependent Layers" (right window), "Layergroups" (left window):

In this mode, layers are displayed as content of selected layergroups – if you erase selected layers, thus these layers are removed from those layergroups only, not from the drawing !

Erase Layergroups:

Window-Mode "All Layergroups" (left and right window):

In this mode the layergroups are erased if the user confirms the request. All selected layergroups will be removed from the drawing, from all hierarchies where these layergroups are included and even from all LayerManager data structures.

Window-Mode "Dependent Layergroups" (right window), "Hierarchies" (left window):

In this mode, layergroups are displayed as content of selected hierarchies – if you erase selected layergroups, thus these layergroups are removed from those hierarchies only, not from the drawing.

Erase Hierarchies and Sub-Hierarchies:

Window-Mode "Hierarchies" (only left window):

At first, when erasing selected (sub-)hierarchies, only the links to that (sub-)hierarchies are removed from the corresponding parent hierarchies, the objects still remain. Only, if there are no other links to a (sub-)hierarchy (that means, only if a (sub-)hierarchy is not referenced by any other hierarchy) that (sub-)hierarchy is really removed from the drawing and LayerManager's data structures.

NOTICE: When erasing hierarchies there is an opportunity to erase all contained layergroups too – if you mark the checkbox, all included layergroups are removed from drawing and related hierarchies.


Structuring the drawing - Auto-Structure

Auto-Structure

One of the most powerful functions is offered with "Auto-Structuring" (or "automated structuring"), implemented first with version v4.1. You will find this function under "Menu/File/Auto-Structure".

The "Auto-Structuring" feature allows you to nearly automatically configure and structurize your drawings in the background with minimum manual efforts – this can dramatically reduce any structurizing efforts and ensures a maximum safety (to get correct LayerManager objects, and against manually made mistakes …).

Some explainations and backgounds on "Auto-Structure" :

In the past, there were only 2 main strategies for handling the drawing's layer structures :

  1. the user has to structurize the drawings and all layers manually – each new layer is to watch and to integrate into related layergroups manually

  2. Alternatively or additionally, there is the way to use pre-defined structures (i.e. using Import/Export files) that are loaded into the drawing

Both concepts are completely different (or opposite) to each other – and both have there own advantages and disadvantages :

  1. Disadvantage: manually updates require permanently efforts to watch all drawing layers and to integrate them into appropriate layergroups; this repeats with each new drawing; Advantage: the LayerManager structures will perfectly fit with the drawing

  2. Disadvantage: when pre-defined and complete structures are imported into the drawing, in most cases new drawings and especially small drawings are "overloaded"; Advantage: manually efforts and man made mistakes can be reduced

By these poles, curious situations may exist, when many layers (> 100) are used :

The user may import pre-defined LayerManager objects (by Import/Export files) when a new drawing is created – on the other side, there may not any entities be existing; when the drawing job starts, the user has to manage lots of layers then, and will spent more time in layer management instead of drawing entities … Alternatively, when no LayerManager objects are imported, the user has permanently to manage new layers, until the drawing structure is finished. Both concepts are not an optimal solution !

Additionally, the user is forced to create a sample drawing that contains all known layers, layergroups and hierarchies that may ever been needed, and to create an Import/Export file based on that drawing – if a new, never used, layer comes into the drawing or into the user's drawing standard – all the game is playing again.

Solution for that dilemma:

Using intelligent LayerManager-Templates by means of the new Auto-Structure feature !

The LayerManager-Template is a collection of definitions about

  1. which layers a specified layergroup shall contain

  2. which layergroups and/or sub-hierarchien a specified hierarchy shall contain

All those definitions are saved as textfile on disk and this Template file may be attached to the drawing.

Functionals-principles :

Using LayerManager-Templates the drawing will get all knowledge about your desired drawing's structure – based on that knowledge, LayerManager is now able to watch and to structurize the drawing automatically and in the background :

  1. if a new layer is created inside the drawing, the new layer is checked against all active LayerManager-Template-Definitions and is inserted into all Layergroups referencing that layer

  2. if a new Layergroup/Hierarchy is created inside the drawing, the new Layergroup/Hierarchy is checked against all active LayerManager-Template-Definitions and is inserted into all hierarchies referencing that Layergroup/Hierarchy

When the drawing file is opened, all attached LayerManager-Templates are active and a "cross-over" check is done between drawing layers/layergroups/hierarchies and all Template-Definitions – all defined structures are automatically created. All that "cross-over" checks are permanently done in the background – without manually interaction all LayerManager objects are created exactly as defined by all active LayerManager-Templates and avoiding any structural overhead ! At each time, the drawing structure will fit to the drawing as close as possible & defined.

Template-Definitions not only allow "real" names for layers, layergroups and/or hierarchies – using "Wildcards" is supported anyway to ensure highest flexibility ! Additionally, each drawing may have attached multiple Template-Definition files (as many as needed) – also, just the AutoCAD template drawing (*.dwg/*.dwt) may have Template-Definition files attached. All that features will enable the user to setup any drawing structure needed and with all levels of details as desired !

Side effects: if i.e. a layergroup was deleted by a mistake, simply use "View/Refresh" – it will be re-created automatically, if the layergroup defined by any LayerManager-Template.

An example will show how it works :

An architectural drawing with several plannings including power-, gas- and water-supplies is assumed – the definitions are based on floors :

Layergroup: "0_Arch" contained layers: "0_Arch*", "0_Wall*", "0"

Layergroup: "1_Arch" contained layers: "1_Arch*", "1_Wall*", "0" etc.

Layergroup: "0_Power" contained layers: "0_Power*", "0_Cable*", "0"

Layergroup: "1_Power" contained layers: "1_Power*", "1_Cable*", "0"etc.

Hierarchy: "0:Floor" contained layergroups: "0_*"

Hierarchy: "1_Floor" contained layergroups: "1_*"etc.

If a new layer "1_Wall_Openings" is created inside the drawing, so this layer fits to definition "0_Wall*" from layergroup "1_Arch" and is therefore automatically included into layergroup "1_Arch" (if needed, the layergroup is also automatically created first). The new layergroup "1_Arch" will fit the definition of hierarchy "1_Floor" and is therefore included into that hierarchy automatically (the hierarchy "1_Floor" is also created first, if not existing) … and so on.

By the way: there may be used multiple Template-Definition files for the branches as well : 1 Template file for architectural layers, 1 Template file for power supplies, and so on … If the next branch is entering the drawing - no problem: simply attach the next Template file for that branch too – that's all !

also see :

Managing LayerManager-Templates

Create new Template-Entries

Edit Template-Entries


Managing LayerManager-Templates

Using the function "Menu/File/Auto-Structure", the Template-Dialog will open to manage all Template-Definitions and all Definition-Entries: edit, erase, create, copy and save/save-as them as file – Template files may then be attached to the drawing.

Each Template file may contain Definition-Entries to define both Layergroups and Hierarchies. All these entries define, what objects are to be used as content for the Layergroup resp. Hierarchy.

After selecting a Template file, all Definition-Entries from that file are listed and may be edited.

All objects, that are set to be the content for the specified Layergroup/Hierarchy may be given with both "fixed" names and by using "Wildcards" – this way, the Template-Definitions are very flexible.

Dialog-Elements :

Popup-List "Files" | Shows all Template files attached to the drawing, selects the current one
Template-Definitions ative | Activates resp. De-Activates all Definitions from the current Template file
Attach | Attaches a Template file to the drawing
Detach | Detaches the current Template file from the drawing
Save | If the current Template file is modified, ths button is active to save the file
Save as | Allows you to save the current Template file using a different filename (copy)
Hierarchies/Layergroups | Changes between displaying Layergroups and Hierarchies
New | Opens the dialog to create a new Definition-Entry
Copy | Creates a copy from the selected Definition-Entry
Edit | Opens the dialog to edit the selected Definition-Entry
Remove | Deletes the selected Definition-Entry
Use all current | Creates Definition-Entries from all available Layergroups/Hierarchies


Create new Template-Entries

The button "New" opens the dialog to create a new Definition-Entry – this will define a new Layergroup resp. Hierarchy for the current Template file. Please note: using "Wildcards" for objects to be contained is much more flexible and secure – especially, if you are using naming conventions with fixed naming rules.

The Definition-Entry consists of the followings parts, that are to be edited with the shown dialog:

Name of Layergroup/Hierarchy: please enter the name for the new Layergroup/Hierarchy – the popup listbox shows all existing objects (as reference)

"Create … on Top-Level": (only for Hierarchies) if this option is active, the new Hierarchy is created as Top-Level object, otherwise as Sub-Hierarchy object

Description: enter the new object's description text

Content-List: the list contains all object-entries, that should be the content for the new Layergroup/Hierarchy you can use as many entries as needed, with also using wildcards; the listbox contains all existing Layers and Layergroups from the drawing to select "real" names

"Use all current": this button will select all existing drawing Layers / Layergroups

Selected entries may be removed or modified.


Edit Template-Entries

The "Edit" button will open the dialog to view and/or modify the properties of the selected Template-Entry.

To edit an exising Definition-Entry works nearly the same as creating a new Definition-Entry – so please refer to the previous chapter on using the dialog elements …

If you want to rename the Layergroup/Hierarchy, simply change the name – this way, not a new entry is defined, instead, the entry is given the new name !

Note: please note, that using "Wildcards" for objects to be contained is much more flexible and secure – especially, if you are using naming conventions with fixed naming rules.


Introduction and Basics

LayerManager always was and is still designed and developed with the main intention, not only to improve structuring and clearness of the drawing by means of comfortable and convenient functions – rather it has always been a main target to use LayerManager as a highly effective instrument for "Controlling the drawing" using layergroups and hierarchies. Thus, especially by using LayerManager's objects in context of controlling the drawing the user will take the highest efficiency from LayerManager : a very fast, secure layer handling and the ability to manage hundreds of layers with a few mouse clicks, greatly improved handling security and the overcoming of large series of monotonous, unsafe mouse clicks inside AutoCAD's layer dialog.

Besides its enormous functionality and large-range concepts LayerManager's user interface is strictly oriented (in comparable positions) to adapt AutoCAD's interface and handling concepts – so anything the user knows from AutoCAD's layer handling is available inside LayerManager … but even much more !

All controlling functions are working identically with all LayerManager objects (layers, layergroups and hierarchies) in generall – this way they are easy to use.

As an extension to AutoCAD's layerdialog LayerManager not only shows layer properties with usual icons – instead, LayerManager also shows layergroups with these icons to indicate layergroup properties. This technology guarantees a fast, secure and consistent access to all objects – additionally, layergroup properties may have the special value "Varying" and derived icons indicating that included layers use different values for that properties: included layers may have different colors, linetypes, lock states, visibility states etc.

When using AutoCAD 2000(i) LayerManager offers some special comfort in relation with the basic controlling functions : nearly all functions may also be used to control even NONE ACTIVE drawings in the AutoCAD background - that means the user can also effect those drawings, that are currently not the "active drawing" in AutoCAD !

By its own, advanced technology LayerManager ensures very comfortable, powerful and unique handling techniques to improve your dayly work – with each step inside LayerManager you will not miss AutoCAD's layer dialog. Additionally, LayerManager not only targets to layer handling complex – also many functions are designed to handle basic aspects of the layer's drawing entities – absolutely unique in the AutoCAD world …


Available functions

This chapter basically describes all those LayerManager functions you will also find at AutoCAD's layer dialog – this means, all basic functions are explained here.

These are the functions available for all layers, layergroups and hierarchies. i.g. for all LayerManager objects :

· Set Layer current
· Activate Objects (with modes: Additive and Exclusive)
· DeActivate Objects
· Lock and Unock Objects
· Set Object color
· Set Object linetype
· Set Object lineweight (only since AutoCAD 2000(i))
· Set Object plotstate (only since AutoCAD 2000(i))
· Set Object plotstyle (only since AutoCAD 2000(i))

AutoCAD uses 2 different methods to activate/deactivate layers – you may both use "On/Off" and "Thaw/Freeze" to control layers. In opposite, LayerManager joins both methods and uses only 1 at a time : under "Program Preferences" you may choice, wether to use "On/Off" or "Thaw/Freeze". That's why you will only see 1 Icon for the layer visibility : this icon indicates, wether a layer or layergroup is visible (based on the "On/Off" and "Thaw/Freeze" layer state).

More than 1 dozen special, advanced and absolutely unique LayerManager functions without anything comparable on AutoCAD side are described in the chapter "Special Functions". Additionally there are a number of "Drag-&-Drop-Operations" available also described in related chapter.


Set Layer current

To make any selected layer to the current AutoCAD drawing layer use function "Menu/Edit/Layer/Set Current" from PullDown menu or function "Set current" from context menu. This function is not available from one of the toolbars. This function is also the pre-defined function for a doubleclick on layer - please check this settings under LayerManager preferences.

The current window's panel side and mode are not of relevance for this function – you may also use any layer included in any layergroup, if you open a layergroup inside the left window panel (when set to layergroup mode) to set a layer to be the current one. If you have more than 1 layer selected, this function is not available and therefore it is grayed.


Activating objects

To activate selected objects inside the drawing, that means to make these objects visible, please use function "Menu/Edit/Activate/Exclusive-Additive" from the Pulldown-Menu or from Context menu or from ToolBar "Edit/Activate". Under "Menu/File/Preferences" the user may select wether to use "Freeze/Thaw" or "On/Off" to control layers – please check this setting as needed.

LayerManager offers 2 different modes for object activation : Exclusive and Additive.

Activating "Exclusive":

When using "Exclusive" mode, only selected objects (resp. their included layers) are activated inside the drawing. All other objects (and layers) are deactivated. This method is often called "Isolate".

Activating "Additive":

When using "Additive" mode, all selected objects (resp. their included layers) are additionally activated. This means, all other drawing layers are not effected and will always stay unchanged.

Especially for Activating Layergroups:

If you are activating a layergroup, that has attached a named view or a named ucs, the View/Ucs dialog will be opened to confirm the activation for attached view and/or attached ucs.

Especially for the right/lower window panel:

By left-clicking to the visibility icon you may also activate layers and layergroups. If you have multiple objects selected, so this is valid for all these selected objects. Especially for layergroups: in case, a layergroup is partially visible only (that means, some layers are active, others are not), a small context menu will appear after mouseclick to refine the action to execute: you may choice "Activate" or "Deactivate".

NOTICE: If you want to select objects from inside properties columns instead of executing related property function, press <CTRL> or <SFIFT> key additionally when left-clicking with the mouse.

also see :

Activating objects in paperspace

Activating 3D-View and UCS with layergroups


Activating objects in paperspace

When working in paperspace LayerManager offers some special, powerful and very useful features : you may choice any viewport and any combination of viewports where to activate LayerManager objects; even paperspace viewport itself and manually selected viewports may be used. Thus configuring all paperspace and all layouts is very fast and easy.

A small dialog opens to define the target area for object activation; additionally the activation mode may be chosen between "Exclusive" and "Additive".

Available options for object activation inside papierspace:

Only current viewport : objects are activated only inside current viewport resp. paperspace viewport

Only paperspace: objects are activated only inside paperspace viewport ("on the paper")

Select modelspace-viewports: you may manually select any viewport where to activate objects

All modelspace-viewports: objects are activated inside all modelspace viewports

All modelspace/paperspace-viewports: objects are activated inside all modelspace viewports and inside paperspace

Exclusive: objects are "exclusively" activated ("isolated")

Additive: objects are "additively" activated


Activating 3D-View and UCS with layergroups

LayerManager offers the ability to attach a named 3D-View Tip-of-the-Day and/or a named UCS to layergroups – when activating a layergroup that has its own view/ucs attached, there is the choice to activate attached view/ucs together with that layergroup too. Especially for drawings with 3D objects you may save a lot of time to restore the perfect view to the drawing. And this is a safe way to restore exactly same conditions.

Attaching 3D-View and attaching UCS to a layergroup is explained in chapters "Attach 3D-View" and "Attach UCS" in all details. Of course, attached views and attached UCS may also be activated within viewports and paperspace.

3D-View: if there is a 3D-View attached to selected layergroup(s), you may choice to activate that view too; if there is no 3D-View attached, then this checkbox is grayed.

UCS: if there is a UCS attached to selected layergroup(s), you may choice to activate that ucs too; if there is no ucs attached, then this checkbox is grayed.


Deactivating objects

"Deactivating objects" means, that objects and their included layers will be set to "Off"/"Freeze", i.g. these layers from selected objects are not longer visible – that's why "Deactivating" may be called "make invisible".

To deactivate selected objects (layers, layergroups and hierarchies) please use function "Menu/Edit/Deactivate" from Pulldown-Menu, or "Deactivate" from context menu or even from ToolBar "Edit/Deactivate". Under "Menu/File/Preferences" the user may select wether to use "Freeze/Thaw" or "On/Off" to control layers – please check this setting as needed.

Especially for the right / lower window panel:

By left-clicking to the visibility icon you may also deactivate layers and layergroups. If you have multiple objects selected, so this is valid for all these selected objects.

Especially for layergroups:

In case, a layergroup is partially visible only (that means, some layers are active, others are not), a small context menu will appear after mouseclick to refine the action to execute: you may choice "Activate" or "Deactivate".

NOTICE: If you want to select objects from inside properties columns instead of executing related property function, press <CTRL> or <SFIFT> key additionally when left-clicking with the mouse.

also see :

Deactivating objects in paperspace


Deactivating objects in paperspace

When working in paperspace LayerManager offers some special, powerful and very useful features : you may choice any viewport and any combination of viewports where to deactivate LayerManager objects; even paperspace viewport itself and manually selected viewports may be used. Thus configuring all paperspace and all layouts is very fast and easy.

A small dialog opens to define the target area for object deactivation.

Available options for object deactivation inside papierspace:

Only current viewport : objects are deactivated only inside current viewport resp. papaerspace viewport

Only paperspace: objects are deactivated only inside paperspace viewport ("on the paper")

Select modelspace viewports: you may manually select any viewports where to deactivate objects

All modelspace-viewports: objects are deactivated inside all modelspace viewports

All modelspace/paperspace viewports: objects are deactivated inside all modelspace viewports and inside paperspace


Locking and Unlocking objects

To lock or unlock selected objects (layers, layergroups and hierarchies) please use function "Menu/Edit/Lock" resp. ".../Unlock" from the Pulldown menu, or from context menu or even from ToolBar "Edit/Lock" resp. ".../Unlock".

Especially for the right / lower window panel: By left-clicking to the locking state icon you may also lock or unlock layers and layergroups. If you have multiple objects selected, this applies to all selected objects.

Especially for layergroups: In case, a layergroup is partially locked (that means, some layers are locked, others are unlocked), a small context menu will appear after mouseclick to refine the action: you may choice "Lock" or "Unlock".

NOTICE: If you want to select objects from inside properties columns instead of executing related property function, press <CTRL> or <SFIFT> key additionally when left-clicking with the mouse.


Set object color

To change color property for selected objects (layers, layergroups and hierarchies) please use function "Menu/Edit/Color" from the Pulldown menu or "Color" from context menu or even from ToolBar "Edit/Color". The commonly used AutoCAD color selection dialog will be opened.

Especially for the right / lower window panel: By left-clicking to the color icon you may also set color for selected layers and layergroups. If you have multiple objects selected, this applies to all selected objects.

Especially for layergroups: If a layergroup uses differently colored layers, the color name is given as "Varia" and the color box is white.

NOTICE: If you want to select objects from inside properties columns instead of executing related property function, press <CTRL> or <SFIFT> key additionally when left-clicking with the mouse.


Set object linetype

To define the linetype for selected objects (layers, layergroups and hierarchies), please use function "Menu/Edit/Linetype" from Pulldown menu or "Linetype" from context menu or from even ToolBar "Edit/Linetype". A small popup listbox will appear with all currently available linetypes.

If you would like to load linetypes from a linetype definition file (*.lin), you may use the contextmenu function "Load Linetypes" – the "Load Linetypes" dialog will open. All handling is similar as known from AutoCAD.

Especially for the right / lower window panel: By left-clicking into the linetype column you may attach a new linetype to layers and layergroups. If you have multiple objects selected, so all selected objects (resp. their included layers) will get the new linetype.

Especially for layergroups: if included layers use different linetypes, the linetype text is shown as "Varia".

Notice: The size of linetype popup window may be scaled any size as needed – the popup window will always show with last used size - thus you may avoid unnessecary scrolling. To close the window, select a linetype as desired or press <ESCAPE> key or simply click outside the window.
NOTICE: If you want to select objects from inside properties columns instead of executing related property function, press <CTRL> or <SFIFT> key additionally when left-clicking with the mouse.


Set object lineweight

(only since AutoCAD 2000(i))

To define the lineweight for selected objects (layers, layergroups and hierarchies), please use function "Menu/Edit/Lineweight" from Pulldown menu or "Lineweight" from context menu or from even ToolBar "Edit/Lineweight". A small popup listbox will appear with all currently available lineweights.

Especially for the right / lower window panel: By left-clicking into the lineweight column you may attach a new lineweight to layers and layergroups. If you have multiple objects selected, so all selected objects (resp. their included layers) will get the new lineweight.

Especially for layergroups: in case included layers are using different lineweights, the layergroup's lineweight text is set to "Varia" instead.

Notice: The size of lineweight popup window may be scaled any size as needed – the popup window will always show with last used size - thus you may avoid unnessecary scrolling. To close the window, select a lineweight as desired or press <ESCAPE> key or simply click outside the window.

NOTICE: If you want to select objects from inside properties columns instead of executing related property function, press <CTRL> or <SFIFT> key additionally when left-clicking with the mouse.


Set object plotstate

(only since AutoCAD 2000(i))

To change the plotstate between "On" and "Off" for selected layergroups and layers, please use function "Menu/Edit/Plotstate/On-Off" from Pulldown menu or "Plotstate/On-Off" from context menu.

Especially for the right / lower window panel: By left-clicking into the plotstate column you may change the plotstate for selected layers and layergroups. If you have multiple objects selected, so all selected objects (resp. their included layers) will get the changed plotstate.

Especially for layergroups: in case included layers are using different plotstates, the layergroup's plotstate icon additionally show the sign "?".

NOTICE: If you want to select objects from inside properties columns instead of executing related property function, press <CTRL> or <SFIFT> key additionally when left-clicking with the mouse.


Set object plotstyle

(only since AutoCAD 2000(i))

To change the plotstyle for selected layergroups and layers, use function "Menu/Edit/Plotstyle" from Pulldown menu or "Plotstyle" from context menu. A small popup listbox will appear with all currently available plotstyles.

Especially for the right / lower window panel: By left-clicking into the plotstyle column you may attach a new plotstyle to layers and layergroups. If you have multiple objects selected, so all selected objects (resp. their included layers) will get the new plotstyle.

Especially for layergroups: in case included layers are using different plotstyles, the layergroup's plotstyle text is set to "Varia" instead.

Notice: The size of plotstyle popup window may be scaled any size as needed – the popup window will always show with last used size - thus you may avoid unnessecary scrolling. To close the window, select a plotstyle as desired or press <ESCAPE> key or simply click outside the window.

NOTICE: If you want to select objects from inside properties columns instead of executing related property function, press <CTRL> or <SFIFT> key additionally when left-clicking with the mouse.
NOTICE: Because, at this time, the AutoCAD Programming Interfaces (API) offers no way to get informations about the plotstyle names contained within a plotstyle table file, and because the plotstyle table files are using a non-public compression/encryption (why that ???), LayerManager can show the currently used plotstyle names only – very sorry !


Display

With the "Leaf-Through" function (also called "Display" function) LayerManager offers the ability to step throught selected objects, directly on screen and inside the drawing. That means all selected objects (layers, layergroups and hierarchies) are shown, either separated or joined, with their entities in the drawing. This function is especially useful when analyzing foreign or unknown drawings, or to get a preview on selected objects (i.e. before activating them).

The "Display" function is accessible from PullDown menu "Menu/Edit/Display", from context menu and even from ToolBar "Edit". The "Display" function also works in paperspace and in selectable viewports.

At first, a small dialog will appear to define Where (target area) and How (display mode) the "Display" function should work :

Where: these options are only active when working in paperspace, otherwise they are grayed. You may define, which viewports should be used for displaying the objects

How: this option define, wether selected objects are displayed separately or in joined mode; more details are given in chapter "Activating objects".

After you made your decisions the display process starts and the first selected object (or even all objects when using "Joined mode") is shown on screen. After each step the "Zoom Options" menu will appear to control the display process.

"<<<" / ">>>": goes 1 step forward / backward

"Layer <0> On/Off": activates or deactivates layer <0> – useful to see block content that is located on layer <0>

"Set": stops the display process, retains the displayed (layer-)state and finishs the display process (this is similar to Activating/Exclusive).

"Off": stops the display process, deactivates all displayed layers ans finishs display process (this is similar to Deactivating objects).

"Mark": the currently displayed object is internally marked; after finishing display process all marked objects will be selected in the current window panel

"Edit": opens the properties edit dialog for currently displayed object

NOTICE: it is recommended to set the method for layer control under LayerManager-preferences to "On/Off", if you are working with method "Freeze/Thaw" – the display process is much faster when using "On/Off", because there are no regenerations nessecary as it is when using "Freeze/Thaw".


Foreground / Background control

LaymanPro not only offers the drawing entities related Foreground-/Background control (with functions "Drawing entities into Foreground" and "Drawing entities into Background") – as one of the Highlights LayerManager offers the ability to save and restore the display order based on layers, layergroups and hierarchies - just the things you are missing with AutoCAD …

You will find the Foreground/Background control function under "Menu/Extras/Display order". Alternative: to set selected objects (layer, layergroups, hierarchies) into foreground/background, you may also use context menu "Drawing entities/into Foreground" and "Drawing entities/into Background".

All defined display orders (separately for layers, layergroups and hierarchies) will be saved as LayerManager data directly inside the drawing. If a drawing is opened at any time later, so you may use previously defined display orders and restore it as needed (because AutoCAD sometimes seems to forget the last display order …). Thus, it is really simple to establish a "basic" display order.

The Radio-Buttons (Hierarchies, LayerGroups, Drawing Layers) define the mode for displayed sort order.

With "Apply" you can transfer the displayed sortorder into the drawing.

"Save" stores the shown sort order

With "into Foreground" und "into Background" you can move selected objects into foreground resp. background.

"Import/Export" enables you to exchange sort orders between drawings.

Both Arrow-Buttons will move selected objects 1 step into Foreground resp. into Background.

The erase icon deletes tue current sort order from the drawing.

Special Option "hard Method : erase and re-create entities": if the current drawing is used as a XRef-drawing from within another "Master" drawing, AutoCAD ignores the last used SortOrder in the (XRef-)drawing – the only known way to use the SortOrder even inside XRef drawings is to erase and to re-create drawing entities with the desired SortOrder.- if this option is active, all drawing entities are erased and then re-created identically. All handles-based entity-references are lost by this way, XEDs are safe and preserved !

IMPORTANT NOTICE: It is absolutely recommended, that you test this method first with a copy of your drawing and to proof, if the drawing remains fully functional when the SortOrder was applied !

All objects, that have been newly defined since last saving of display orders will automatically be positioned into foreground – you may need to re-position these objects when opening the foreground/background dialog.

NOTICE: If you have any objects selected, you may open the contextmenu by right-clicking – there you will also find these functions to move these objects into foreground and background. Additionally you will find "Highlight" to view the drawing entities located on selected objects. Objects may also be moved by using Drag-&-Drop with left mouse button – if the mousebutton is released the context menu will offer functions to move and highlight.

also see :

Exporting and Importing Display-Sortorders


Exporting and Importing Display-Sortorders

Using the "Import/Export" functions for Display-SortOrders the user may transfer and exchange defined SortOrders between the drawings – this will save lots of time and concentrated work, besides the higher handling safety ! When exporting, all currently defined SortOrders are saved into the export file.

Using the checkboxes the user may exactly define which SortOrders are to be imported – existing SortOrders are shown with red checkbox icons.

Before importing, it is possible to edit the SortOrder objects – simply click twice onto the object to edit, the edit field will open. After renaming the red icon will change to white, if the object is not existing.

All layers, groups and hierarchies from the saved SortOrders, that are not existing, will be ignored during import process – they will not be re-created !


Export and Import with LayerManager's data

To make your defined LayerManager structures (layergroups and hierarchies) available for other drawings too, LayerManager offers the Export/Import functions. The Export/Import file (ASCII textfile) contains the complete definitions of all layergroups and hierarchies. At any time you may import these definitions into any other drawing – selectable layergroups and hierarchies will be re-created including all layers with their original layer properties.

Export/Import files are not only suitable for transferring LayerManager structures. They can also be used in case of prototype drawings, save several and different layer normatives, supply internal standards and much more by means of Export/Import files. The Import function offers many comfort when loading LayerManager structures from the Export/Import file.

Because Export/Import files are plain text files, it is possible to manually edit the file with a text editor (i.e. with Notepad.exe). If you do so, please ensure to use a simple editor, not WordPad nor WordPerfect or MS Word, because these programs use special code sequences for text formatting. On the other side, user should be familiar with data structures used inside Export/Import files.

Important notice for AutoCAD 2000(i): LayerManager supports the "Multiple-Document-Environment" extensively and supports multiple LayerManager windows with Multiple program windows all usual Drag-&-Drop operations available. Therefore, it is easy to transfer LayerManager data between drawings by Drag-&-Drop. Simply attach source and target drawing to LayerManager windows . Select desired objects inside source drawing and drag them into LayerManager window with the target drawing – that's all !

A complete description about transferring LayerManager data between different drawings in AutoCAD 2000(i) is given in chapter "Drag-&-Drop-Operations" .

also see :

Creating a LayerManager-Export-File

Importing a LayerManager-Export-File


Creating a LayerManager-Export-File

Using function "Menu/File/Export" you will then be asked for the filename to save (filetype "*.lmg" is forced) and all definiton data for layergroups and hierarchies are saved into that file. Additionally all layer properties are saved, even for those layers that are not included in any layergroup. If you execute the Import of that file any time later (and with any drawing needed) you have the opportunitiy to re-create even that layers not included in any layergroup, with all their properties and their description texts.

NOTICE: The Export function only work with all layergroups and/or hierarchies; any selected layers have no influence to the export process.


Importing a LayerManager-Export-File

To import an existing Export/Import file into the current drawing, please use function "Menu/File/Import". You will be asked to select an existing Export/Import file (with filetype *.lmg or *.lmt) from your disk. After selecting the file LayerManager analyzes that file and all contained layergroups and hierarchies will be displayed at the Import-Dialog. There you may select layergroups and hierarchies to be imported, just as needed.

Important Note: You may also select files with filetype "*.LMT" – these are really normal Export/Import files like those ones with filetype "*.LMG". But files "*.LMT" may not be created by LayerManager, instead, the user may need to rename or edit files "*.LMG" to file "*.LMT". The intention is, that "*.LMT" files should be used as none-overwritable import template files.

Details on Import-Dialog:

At the Import dialog you may choice the objects to be imported very detailled. By default, all objects are pre-selected – you will see the check-boxes marked. With a mouse click at the checkbox you can change that state. If a parent object is selected, all child objects are selected too. If a child object is selected, the parent object is selected too.

Option "Hierarchies"/"Layergroups":

Using Hierarchies Mode the dialog will show all hierarchies and all included sub-hierarchies and layergroups contained in the import file – so you may select or deselect any hierarchy and/or layergroup that is to be imported. You can't select or deselect specific layers for import.

Using Layergroup Mode the dialog will show all layergroups and their included layers contained in the import file – so you may select or deselect any layergroup and any layer that is to be imported. You can't select or deselect specific hierarchy. Additionally, you may use option "Import Hierarchies" to force the import of all hierarchies related to imported layergroups.

Option "For existing elements":

Existing:existing LayerManager objects will not be overwritten by newly imported objects

New:existing LayerManager objects will be overwritten by newly imported objects

Always Ask:for each existing LayerManager object the user will be asked how to proceed

These settings are valid for imported layergroups and hierarchies only; they will not effect imported layers.

Option "Import Hierarchies":

This option is only activ in Layergroup Mode. If the option is checked, all hierarchies referenced by imported layergroups will be imported too. If the option is not checked, no hierarchies will be imported in generally.

Option "Import None-Group-Layers":

The Export/Import files contains all information about source drawing layers that were not used by layergroups. If the option is checked, LayerManager will also import these none-layergroup-layers with all their properties. Otherwise, only those layers will be imported, that are part of any layergroup and checked in the displayed list. Activating this option you can restore the complete layer situation from source drawing.

Option "Original Layer-State":

All layers that are saved inside the Export/Import file always contain their complete properties – thus there is the opportunity to set any imported layer to its original properties, even if an imported layer is always existing in the current drawing. So you may restore the complete layer situation from the source drawing.

Option "Import: only existing layers":

If this option is checked, the Import process will load and update only those layers tha are already existing inside the drawing – all other layers will not be loaded into the drawing and into any layergroup. This way, there is no change to your current drawing's layer situation.

Renaming Objects before importing :

If there are any objects (layergroups/hierarchies) from the export/import file already existing in your current drawing, LayerManager will use red icons for those objects – so you will detect this collisions quickly. All shown objects (layergroups/hierarchies) may be renamed before importing – simply mark an object an click a second time – the usual small edit field is opened allowing you to rename that object. Based on the new name, the object's icon is shown in red/white color again, indicating wether such an object is already existing or not.


Create Layer-Listings

For most different purposes and often needed is the ability to create a (text)file that reports the drawing layers. Under "Menu/Edit/Layer/Layerlisting to file" you will find this function to create such layer report file with any filename as needed and with selectable layer properties to be reported. Select any layer, layergroup and hierarchy that you want their contained layers to be reported in the file.

Besides the filename you may also choice the layer properties that should be reported. All common layer properties are available, of course. Additionally, the main LayerManager related properties are also available.


Create WBlocks

There is an very efficient way to create WBlock drawings offered by LayerManager - under "Menu/Extras/WBlock" and also accessible from ToolBar "Extras" you can run the WBlock function. All drawing entities located on the layers of selected LayerManager objects (layers, layergroups, hierarchies) are written to a WBlock drawing file with filename as needed. This means, you don't need to select the drawing entities themselves, instead you may only need to select those layers … At first, select all layers, layergroups and hierarchies you want the entities located on their (included) layers to be written to a WBlock drawing. You may also mix these selected objects – LayerManager will always use the summary of all (included) layers.

After writing the WBlock file to disk, LayerManager will ask you to restore the wblocked entities back in your drawing (like the "_oops" command). Additionally, there is a message given about the number of written entities.

NOTICE: If you use selected layergroups and/or hierarchies only, LayerManager will offer the opportunity to save the layergroups/hierarchies definition data (the LayerManager objects) into the WBlock drawing too – if you agree, the WBlock drawing also contains the LayerManager data of those selected objects.

NOTICE: In contrast to AutoCAD, layers may also be frozen or off, when creating the LayerManager WBlock file – because LayerManager scans the drawing database for effected entities on selected objects – thus, you don't need to thaw or activate any layers before using WBlock function.


Create Selectionset

Another tool function is available under "Menu/Extras/Selection Set" and also from ToolBar "Extras/Selection Set". LayerManager offers to build up 1 selection set, containing the drawing entities located on those layers of selected LayerManager objects (layers, layergroups, hierarchies) and to use this selection set at any time later in the context of any other AutoCAD command, ADS/ARX command or AutoLISP command or function.

Before running that function, please select all layers, layergroups and hierarchies as needed – even in mixed way. When using the function "Menu/Extras/Selection Set" LayerManager will use the summary of all included layers and collect all drawing entities located on that layers – you will get a message about the number of drawing entities found.

How to use this selection set: you may use this selection set with any AutoCAD command, ADS/ARX or AutoLISP command or function. At command prompt "Select objects:" simply enter "!LMSET", or "_previous", if you will get an error message (like "… can not re-enter AutoLISP" or similar).

NOTICE: In contrast to AutoCAD, layers may also be frozen or off, when creating the LayerManager selection set – because LayerManager scans the drawing database for effected entities on selected objects – thus, you don't need to thaw or activate any layers when using SelectionSet function.


Attach 3D-View

Especially if your drawings use 3D designs and 3D objects, it may be very useful to combine a named 3D- View with a layergroup, that means a named view may be attached to a layergroup. This allows you to activate the 3D-View together with that layergroup when using function "Activate Exclusive/Additive".

To attach a named view to the layergroup, select that layergroup (as single selection) in any window panel.

Then use function "Menu/Extras/Attached View" from the PullDown menu or from ToolBar "Extras/Attached View". LayerManager will show all available views. Select the view you want to be attached to the layergroup, or use "Detach" if you want to detach any view from the layergroup.

NOTICE: If you select more anything other than exactly 1 layergroup, this function is grayed (deactivated) - so please select exactly 1 layergroup to attach a view.


Attach UCS

Another tool function for handling 3D drawings is the ability to attach a named UCS to any layergroup (similar like attaching a view to the layergroup). This allows to activate the UCS together with that layergroup when using function "Activate Exclusive/Additive".

To attach a UCS to the layergroup, select that layergroup (as single selection) in any panel.

Then use function "Menu/Extras/Attached UCS" from the PullDown menu or from ToolBar "Extras/Attached UCS". LayerManager will show all available named UCS. Select the UCS you want to be attached to the layergroup, or use "Detach" if you want to detach any UCS from the layergroup.

NOTICE: If you select more anything other than exactly 1 layergroup, this function is grayed (deactivated) - so please select exactly 1 layergroup to attach a UCS.


3D-Orbit-View

(only since AutoCAD 2000(i))

A very special and powerful new feature is offered by the 3D-Orbit-View – in opposite to AutoCAD this 3D-Orbit is "boxed" into a free scalable window that may be positioned due to your needs – parallel with AutoCAD ! After opening, the 3D-Orbit-View will show the complete drawing content: at first, please scale and position the window, then zoom/pan the shown content and change 3D-Orbit-View to desired display mode. 3D-Orbit-View always works synchroneous with the drawing – all newly created entities are immediately shown, all erased entities are removed in real-time.

Using the "Online/Offline" switch the 3D-Orbit-View may also show all those entities located on the layers of that objects (in any combination) you have selected inside the LayerManager windows – in real-time ! This way you have an immediately view on the drawing entities without influencing the drawing itself.

Special Display-Mode: if you don't have any objects selected inside LayerManager, you may move the mouse pointer over any object, that is immediately (in real-time) displayed at 3D-Orbit-View (only when 3D-Orbit-View is set to "Online" mode) !

You will find the new 3D-Orbit-View under "Menu/View/3D-View" from Pulldown- resp. context menu.

Popup-list "Mode": selects the used display mode

Angle panels: shows the view angles in and above the XY-plane

Online/Offline: activates / deactivates the Direct-Layer:mode

Button "O" (red): re-loads the drawing

Button "<<": transfer the current drawing view into 3D-Orbit-View

Button "<": pick reference point inside the drawing (best with osnap)

Button ">": transfer the current view from 3D-Orbit-View into the drawing

Scrollbars: changes the horizontal (bottom side) resp. vertical (left side) view angle, or changes the zoom scale (right side)

Usage:

Orbit-Rotation: left mouse button

Pan: right mouse button

Zoom: right mouse button + CTRL-key

For the user's comfort, the 3D-Orbit-View will always start with it's last used rendering mode, and with the last used size and position – nice for dual-screen workstations … !

Note: LayerManager uses an own 3D-Orbit-View for each drawing to avoid permanent re-initializing 3D-Orbit-View with each change of the current drawing. That means, the 3D-Orbit-Window is available per drawing, not per LayerManager window, so multiple LayerManager windows (using the same drawing) will share with the same 3D-Orbit-View.

Note: If you are using multiple drawings, and also use multiple LayerManager windows, you may open multiple 3D-Orbit-Views simultaneously without any problems – this way, you will be able to see the drawing content within 3D-Orbit-View even for that inactive drawings (those in the window background), if there are any objects selected or "touched" inside a specific LayerManager window (just using that drawing).

Note: At the first opening of 3D-Orbit-View it is initialized by loading the complete drawing content – this may take some seconds (or a little bit longer …). Nevetherless, you may close that 3D-Orbit-View – if 3D-Orbit-View is re-opened again, no initialization is nessecary (because 3D-View was only set to "invisible" instead of really closing it).


Special Functions - Layer-History

Layer-History

With Layer-History, LayerManager offers another powerful and handy feature to save the current layers' visibility configuration with a few mouseclicks as "named Layer-History-Position" – and to completely restore it at any time later. This way the user can simply take a "SnapShot" of the current drawing layers and restore that "SnapShot", without the need to define and handle Layergroups and/or Hierarchies.

The Layer-History is intended to work as a completion to the Layergroup/Hierarchy concept – and is primarily intended to save/restore "temporary" or even much more complex layer situations, that are difficult to setup or may be achieved only by large efforts using Layergroups/Hierarchies.

All History-Positions will only save the layers' visibility states (On/Off and Thawed/Frozen) – including all modelspace/paperspace/layout depending parameters ! LayerManager handles all Layer-History-Entries based on their dependency on modelspace/paperspace/layouts – if you change from one layout to another layout, the Layer-History just changes too …

Using Layer-History-Positions: if your drawing is configured to a situation that should be saved for any later (re-)use, simply save it by using the save-icon and give this position a suitable name to remember. Now you can go-on editing the drawing, even changing the layers' visibility – if needed, restore that saved History-Position (may be, you should scroll to that position before), regardless of any drawing editions – all restoring is done without destroying previously made changes to the drawing.

For managing the Layer-History all major functions are available – you may add, delete and rename History-Positions as well as updating the current one.

By using "Previous Position" and "Next Position" you may navigate through the History-List – the Positions-List will show all available History-Positions inside a popup listbox.

The shown context menu is available from all History buttons – simply click the right mouse button …

If the mouse pointer is positioned over these 4 History buttons, the current position's infotext is displayed at the statusbar.

Using Layer History-Buttons:

"Select & Restore Position" :opens history list and restores selected position

"Previous Position" :scrolls back in Layer-History for one position (without restoring !)

"Save current state" :this will save the drawing's current layer situation into the History-List

"Next Position" :scrolls forward in Layer-History for one position (without restoring !)

"Restore Position":restores the current History-Position (label: Current/Total positions))

Note: All Layer-History-Positions are directly saved inside the drawing – they are available again with next opening of the drawing.

Simply try this feature – using the Layer-History is much easier than to describe the handling with words …

Saved Layer-Histories may be transferred into other layouts and into other drawings as well – there are the Transfer and the Export/Import functions available – very helpfully when configuring new layouts … !

also see :

Transfer Histories

Exporting and Importing Layer-Histories


Transfer Histories

By using the "Transfer History" function, all defined History-Positions and Layout-dependent Layer-Properties 3D-Orbit-View may be transfered between layouts within the current drawing.

Regardless of the current layout this dialog offers to transfer any History-Position and the Layout's Layer-Properties into any other layout.

Optionally, the History-Position to be transferred may be given a new name before, to prevent collisions.

For more comfort, the listbox shows all History-Positions already existing inside the selected target layout.

If a valid target layout is selected, the Option's checkbox becomes active to also allow you to transfer the Layout's Layer-Properties into the target layout.


Exporting and Importing Layer-Histories

Exporting Layer-Histories :

To create an export file with all your defined Layer-Histories, use this "Export History" functon from the contextmenu – after selecting the filename for the export file, all History-Positions from all Layouts will be stored into that export file. A short notice will be given when the file was successfully written.

Additionally the export file will contain all Layout-dependent Layer-Properties for all Layouts, so the user may also import these layer properties into other target drawings with the import function.

Importing Layer-Histories :

This import function offers to load stored History-Positions including their Layout-dependent Layer-Properties from from the export file into another drawing. When this function is started from the contextmenu, you will be prompted to select the history file to import – this file is analyzed then and all data contained are presented at the import dialog to select those History-Positions and Layout-dependent Layer-Properties to import.

Red Icons: all Positions, which are already existing in the current drawing, will be shown with a red checkbox icon. Yo may twicetime click onto those Positions to edit the names to prevent collisions – the checkbox may change to white color afterwards …

Additionally the user may select which Layout-dependent Layer-Properties are also to be imported.

Show all Layouts: if this option is active, all Layouts from the History file are shwn, otherwise only existing Layouts are shown. All Positions from those 'hidden' Layouts are never imported.

Using "Import >>>" all selected data will be imported into the current drawing then

Note: There is no problem to even import History-Positions for not-extisting Layouts (this means, "in advance") – if such a Layout is created in the drawing at any time later, these imported History-Positions and Layout-dependent Layer-Histories are available and active then.


Special Functions - Layout-dependent Layer-Properties

Layout-dependent Layer-Properties

Introduced with version v4.1 LayerManager offers "Layout-dependent Layer-Properties" as a powerful feature to support the user's handling with modelspace, paperspace und layouts.

Basics: AutoCAD uses exactly 1 set of (global) layer properties, therefore each layout will influence the others – this is LayerManagers entry point: for all modelspace, paperspace and layouts LayerManager always saves the last used layer properties, that will be restored automatically, when the particular layout is activated again. When leaving a layout all layer properties are saved, when entering a layout, those layer properties are restored again.

Fast access to Activate and Deactivate the "Layout-dependent Layer-Properties" feature and the layer properties to restore is given by Toolbar.

When the user switches to another space or layout, LayerManager will restore the last-used layer properties automatically – if the related Option "Restore M-/P-Space layers automatically" is active (Preferences or Toolbar). Additionally, the user may also configure which layer properties are to be restored.

Notice: The old technology to restore (only) the Layers'-visibility in M-/P-Space and Layouts has completely been replaced by this new technology – the new one simply offers much more flexibility.


Functions using drawing entities

A series of very useful functions to handle drawing entities are located in Pulldown menu under "Menu/Extras/Drawing Entities" and at ToolBar "Extras". They all are based on selected LayerManager objects (layer, layergroups, hierarchies) - LayerManager will automatically use the drawing entities of all included layers.

Unfortunately, all these function will not find drawing entities on XRef layers, for AutoCAD doesn't support this.

As a side effect, all these functions create a selection set with entities of selected objects, that may be used with any AutoCAD, ADS/ARX and AutoLISP command. Also see "Create Selectionset" .

also see :

HighLight Entities

Copy entities to Layer

Move entities to Layer

Set entities into Foreground

Set entities into Background

Set entities to Color

Set entities to Linetype

Set entities to Lineweight

Set entities to Plotstyle


HighLight Entities

The function "Highlight Entities" ("Menu/Extras/Drawing Entities/HighLight") enables a very fast preview on the drawing entities located on layers of selected objects (layers, layergroups, hierarchies).

All entities are displayed on a blank screen without changing the current zoom scale. A message will appear about the number of drawing entities displayed. When the message is confirmed, the screen is restored to its original state.


Copy entities to Layer

This function "Copy Entities", located under "Menu/Extras/Drawing Entities/Copy to Layer", allows you to Duplicate the drawing entities located on selected objects (Layers, Layergroups, Hierarchies) to another selectable target layer.

After starting the function the commonly used object filter will open to select exactly one target layer.


Move entities to Layer

This function "Move Entities", located under "Menu/Extras/Move to Layer", allows you to Move the drawing entities located on selected objects (Layers, Layergroups, Hierarchies) to another selectable target layer.

After starting the function the commonly used object filter will open to select exactly one target layer.


Set entities into Foreground

This function "Entities into Foreground" ("Menu/Extras/Drawing entities/into Foreground") will reposition all drawing entities located on layers of selected objects (layers, layergroups, hierarchies into the drawing's Foreground (similar to AutoCAD's function "Into Foreground" – but that function is based on selected entities).

NOTICE: Sometimes (really seldom) it may occur, that the function "into Foreground" seems to have no effects. This is caused by the unstable behaviour of AutoCAD's Foreground/Background control. If this happens, please try the original AutoCAD functions. At the command prompt "Select objects:" please answer with <_previous> or even <!LMSET>.

NOTICE: "Entities into Foreground" only effects the drawing entities on selected objects – this is opposite to function "Displayorder " that controls the entire drawing.


Set entities into Background

This function "Entities into Background" ("Menu/Extras/Drawing entities/into Background") will reposition all drawing entities located on layers of selected objects (layers, layergroups, hierarchies) into the drawing's Background (similar to AutoCAD's function "Into Background" – but that function is based on selected entities).

NOTICE: Sometimes (really seldom) it may occur, that the function "into Background" seems to have no effects. This is caused by the unstable behaviour of AutoCAD's Foreground/Background control. If this happens, please try the original AutoCAD functions. At the command prompt "Select objects:" please answer with <_previous> or even <!LMSET>.

NOTICE: "Entities into Background" only effects the drawing entities on selected objects – this is opposite to function "Displayorder " that controls the entire drawing.


Set entities to Color

The function "Set to Color" from "Menu/Extras/Drawing Entities" allows you to set all drawing entities located on layers from selected objects (Layers, Layergroups, Hierarchies) to a specific color, that is chosen from the common color dialog box. If needed, you may also set the enties to "ByLayer".


Set entities to Linetype

The function "Set to Linetype" from "Menu/Extras/Drawing Entities" allows you to set all drawing entities located on layers from selected objects (Layers, Layergroups, Hierarchies) to a specific linetype, that is chosen from a popup list box. If needed, you may also set the enties to "ByLayer".


Set entities to Lineweight

The function "Set to Lineweight" from "Menu/Extras/Drawing Entities" allows you to set all drawing entities located on layers from selected objects (Layers, Layergroups, Hierarchies) to a specific lineweight, that is chosen from a popup list box. If needed, you may also set the enties to "Default".


Set entities to Plotstyle

The function "Set to Plotstyle" from "Menu/Extras/Drawing Entities" allows you to set all drawing entities located on layers from selected objects (Layers, Layergroups, Hierarchies) to a specific plotstyle, that is chosen from a popup list box. The plotstyle can not be set if the drawing uses color-dependent plotting.


Re-Initialize LayerManager

Sometimes it may be nessecary to re-initialize LayerManager. Re-Initializing is useful in all cases, when LayerManager data have been brought into the current drawing from "outside" the drawing, that means, when entities on layer "$LAYMAN" have been modified from other side than LayerManager itself. Normally, LayerManager will automatically detect such data imports and modifications – except when the option "Rx Automation" is not active. The re-initialization process completely rescans all LayerManager data from the drawing. Together with the re-initialization LayerManager also executes a consistency check – this will compare defined LayerManager data with that LayerManager data saved inside the drawing. Any inconsistencies will detect and consolidated, partially with user interaction to determine the correct state.

Normally, the preferences option "Rx Automation" should be active – so LayerManager is able to watch the drawing and all modifications on layer "$LAYMAN"; thus re-initializing is nessecary in rarely situatuions only.

Otherwise, if this option is not active, running re-initializing is suggested for the following situations :

after DXFIN

after INSERT (exploded)

after LayerManager data have been modified inside Xref drawings

after blocks, containig LayerManager data, have been re-defined and re-inserted into the drawing

always, if you've got the impression, that LayerManager data are not completely displayed

LayerManager normally detects inserted Blocks and attached Xrefs automatically and will scan them exactly once for included LayerManager data; if these LayerManager data are changed any time later, LayerManager will not detects these changes (for saving scanning time) – in this scenery the re-initializing process is nessecary to scan all LayerManager data from the drawing.

When starting the "Re-Initializing" function please select wether Blocks and Xrefs should be scanned for LayerManader data – if you're sure that blocks and/or xrefs does not contain any LayerManager data, you may deactivate these options.

NOTICE: these options will be grayed in case the current drawing does not contain any Blocks resp. Xrefs.


CleanUp LayerManager's data

This special function removes unused layers from layergroups - this is nessecary for AutoCAD's "PURGE" command. As long as unused layers are referenced by layergroups, the purge command will not purge such layers. "Unused" means, that there are no drawing entities located on that layer.

If you want to purge such unused layers by means of AutoCAD's purge command, you should execute this LayerManager function "Cleanup data"from "Menu/Extras/CleanUp".

The "Cleanup data" function show this message first. You may handle all layers together without further interaction, if you mark the checkbox. Otherwise, if this checkbox is not marked, you will be asked for each layer separately before removing the layer from any layergroup(s).


Remove LayerManager's data

All LayerManager's data are stored inside the drawing as normal entities (on layer "$LAYMAN") – but they are invisible always and in generally, so there is no influence to your drawing to be assumed. On the other side, the LayerManager's data appears to be normal entities to AutoCAD and to other applications. Sometimes it may be nessecary (for instance, in case of DXF data exchange or similar) to completely remove all LayerManager's data from the drawing – this may be done using function "Menu/Extras/Remove Data". All LayerManager's data will be removed and the LayerManager program will be closed automatically.

After executing the remove function, please save and re-open the drawing. Now you may use AutoCAD's purge command and :

  1. purge the blocks "Layman$MS_*" and "Layman$PS_*"

  2. then purge the layer "$LAYMAN"
This dialog box will appear to give you the opportunity to save all LayerManager's data to an export file before removing them from the drawing : please mark the checkbox if you'd like to have a backup of all Layer-Manager's data in form of an export/import file.


General aspects

For many phases of operation the "Drag-&-Drop" technology is the most effective way to work – because source and target objects are already determined in advance. So above all especially those functions for structurizing the drawing (like creating, inserting, moving etc.), and in addition, the functions concerning drawing entities (for instance, copying & moving entities located on layers, groups, hierarchies to a new target layers) can be executed very elegantly and simply by "Drag & Drop".

The Drag & Drop procedure and the functions given in the Drag & Drop context menus is basically determined by kind and number of selected source object(s) and (may be) by kind and number of pointed target object(s).

LayerManager supports Drag-&-Drop for these basic situations:

· 1. within the same window panel

· 2. between both window panels of a LayerManager window

· 3. between different LayerManager windows

How to use Drag-&-Drop-Operations: You may start the Drag-&-Drop procedure with bot the left or the right mouse button – at first, click to the previously selected source objects and hold down the mouse button. Then move the mouse pointer into desired target window or window panel or onto desired target object(s). During mouse move, the cursor will change and a small ToolTip window will give some additional help information about the Drag-&-Drop procedure. If the cursor points to valid target object(s), these target objects are temporarily marked to indicate this situation. Releasing the mouse button the small Drag-&-Drop context menu will appear in generally with all available functions and options.

This chapter describes all available Drag-&-Drop-Operations. The summary is based on the kind of selected source objects that are to be dragged – separated into chapters "Drag-&-Drop using Layers", "Drag-&-Drop using Layergroups", "Drag-&-Drop using Hierarchies" and "Drag-&-Drop between drawings".

NOTICE: with AutoCAD 2000(i) Drag-&-Drop is also applicable between different drawings, that are attached to LayerManager windows – this is the most effective way to transfer LayerManager data between drawings.

NOTICE: More details about Drag-&-Drop-Operations are also given in chapter "Structuring the drawing" and "Controlling the drawing".


Drag-&-Drop using Layers

At first, select desired source objects; then click with left or right mouse button onto selected objects again, hold down the mouse button and move the mouse into target window or window panel or target object(s).

NOTICE: "target window" means the empty area of a window panel, the mouse cursor is not positioned on any object ! All these Drag-&-Drop-operations work within one LayerManager window !

These are valid target objects or valid target windows for "dragged" Layers:

object: Layers (even multiple selected layers) | "Copy Layer" resp. "Clone Layer", for multiple source objects. "Copy drawing entities" to target layer and "Move drawing entities" to target layer.
object: Layergroups | All selected layers will be inserted into selected or marked layergroups ("Extending layergroups").
object: Hierarchies (even multiple selected hierarchies) | All selected layers are used to build-up a new layergroup that is inserted below marked or selected target hierarchies then ("Extending Hierarchies").
window: All Layers window: Visible Layers window: Invisible Layers | Like "object: Layers": when using "Copying/Moving drawing entities" the layer selection dialogbox will appear to determine the target layer.
window: Dependent Layers | Like "object: Layergroups": all selected source layers will be inserted into all marked layergroups.
window: Layergroups and Dependent Layergroups | The dragged source layers will be used to call function "Create Layergroup" without opening the layer selection box, because the dragged source layers will form the new layergroup.
window: Hierarchies | Because source layers may not directly inserted into a hierarchy, the dragged source layers may be used to create a new layergroup, that is then inserted as a new hierarchy.


Drag-&-Drop using Layergroups

At first, select desired source objects; then click with left or right mouse button onto selected objects again, hold down the mouse button and move the mouse into target window or window panel or target object(s).

NOTICE: "target window" means the empty area of a window panel, the mouse cursor is not positioned on any object ! All these Drag-&-Drop-operations work within one LayerManager window !

These are valid target objects or valid target windows for "dragged" Layergroups:

object: Layers | The drawing entities of dragged layergroups may be used for functions "Copy entities" and "Move entities". The target layer to be used for may be shown with the mouse cursor.
object: Hierarchies (even multiple selected hierarchies) | "New": creates a new hierarchy from dragged layergroups and inserts the new hierarchy into target hierarchy. "Insert": the dragged layergroups will be inserted into target hierarchy. "Insert into All": the dragged layergroups will be inserted into all selected hierarchies.
window: Layergroups | With "Copy" you may create a copy of the source layergroup with new name; if there are multiple source layergroups selected, the "Clone" function is used instead.
window: Hierarchies | "New": creates a new hierarchy from dragged source layergroups and inserts the new hierarchy as top-level hierarchy.


Drag-&-Drop using Hierarchies

At first, select desired source objects; then click with left or right mouse button onto selected objects again, hold down the mouse button and move the mouse into target window or window panel or target object(s).

NOTICE: "target window" means the empty area of a window panel, the mouse cursor is not positioned on any object ! All these Drag-&-Drop-operations work within one LayerManager window !

These are valid target objects or valid target windows for "dragged" Hierarchies:

object: Layers | The drawing entities of dragged hierarchies may be used for functions "Copy entities" and "Move entities". The target layer to be used for may be shown with the mouse cursor.
object: Hierarchies | Using "Copy" the dragged source hierarchies will be inserted into target hierarchy as copies (links) Using "Move" the dragged source hierarchies will be moved and inserted into target hierarchy.
window: Hierarchies | Using "Copy" the dragged source hierarchies will be copied (with new names) and inserted as new top-level hierarchies; if there are multiple hierarchies selected, the "Clone"-function is used instead.


Drag-&-Drop between drawings

(only since AutoCAD 2000(i))

Using the Drag-&-Drop technology is the most effective way to transfer LayerManager data (that means, all combination of selected layers, layergroups and hierarchies) between different drawings. Thus, the efforts to create an export/import file and to import that file may be saved.

Conditions:

At first you need to have multiple LayerManager windows opened (2 windows at least), each of them must use its own attached drawing (1 window may use the <current drawing> nevetherless).

For example:

You would like to transfer LayerManager structures from drawing "A.dwg" into other drawing "B.dwg". At first, open a 2. LayerManager window using function "Menu/View/New Window" and attach the desired target drawing "B.dwg" to this new window by using function "Menu/File/Drawing" (or with drawinglist). Similar, the first LayerManager window should be attached to the source drawing "A.dwg".

Transferring LayerManager data:

At first, select desired source objects (layers, layergroups and/or hierarchies) inside the LayerManager using drawing "A.dwg", then click with left or right mouse button onto selected objects again, hold down the mouse button and move cursor the mouse into the other LayerManager window containig target drawing "B.dwg". Release the mouse button within that LayerManager window (in any window panel – this is not of importance).

NOTICE: It's not of importance for this Drag-&-Drop process where (in which window panel) the mouse button is released or which window mode that window panel is configured for.

The Drag-&-Drop-context menu will appear with available functions:

"Copy": copies all selected source objects with all their properties into the target drawing

"Move": like "Copy", except that selected source objects will be removed from the source drawing after the copy process.

If one or more same-named objects are existing inside the target drawing, the "Drag-&-Drop selection dialog" will appear to refine the way of transferring LayerManager data.

NOTICE: This Drag-&-Drop operation is naturally limited to transfer dragged source objects into the target drawing – it is not possible, to transfer and to re-organize transferred source objects by only one step. Example: You may transfer source layers into target drawing, but you may not create a new layergroup based on that source layers inside the target drawing at the same time (during the Drag-&-Drop operation). Of course, all structuring needed may be done after finishing the Drag-&-Drop operation in normal way, of course.

also see :

Overwriting/Updating objects inside the target drawing


Overwriting/Updating objects inside the target drawing

If one or more same-named objects are existing inside the target drawing, this "Drag-&-Drop selection dialog" will appear to refine the way of transferring LayerManager data.

"Overwrite Layers": all existing layers will be set to layer properties of selected source layers.

"Overwrite Layergroups": all existing layergroups will be set to layergroup properties of selected source layergroups (including contained layers).

"Overwrite Hierarchies": all existing hierarchies will be set to hierarchy properties of selected source hierarchies (including contained sub-hierarchies and layergroups).

Each option is only available in case, that related objects (layers, layergroups and hierarchies) are already existing inside the target drawing; otherwise, the related option is inactive.

NOTICE: If any layer-, layergroup- or hierarchy-objects will be "overwritten", so only the object's properties will be overwritten, of course.

NOTICE: By means of "Overwriting" the objects' properties with those property values of selected source objects there is a simple way to synchronize multiple drawings with each other. That means, layers, layergroups and hierarchies within the target drawing may be set to those properties of selected objects from the source drawing.


LayerTools - Introduction

Introduction

The LayerTools are a set of layer handling functions designed for fast and easy layer configuration changes by means of graphical selected entities to determine the layers to be effected.

That means, the user may execute all layer related functions like "Freeze/Thaw", "On/Off", "Lock/Unlock" etc. directly inside the drawing by selecting appropriate entities. There is also an opportunity to select sub-entities resp. their layers – for instance, the layer(s) of block attributes. If the user answers with <Return> instead of selecting entities, a new prompt is displayed to select sub-entities.

Additionally, some of the most used entities' edit functions may be executed layer-related.

A very special, powerful and user-friendly feature is offered with reverse selection: that means, all layer operations are executed with those layers, which are not selected by entities : in other words, the user may select all those entities, for their layer should not be effected by LayerTools functions.

The LayerTools will internally record all layer state changes – thus, using function Restore alle changes to the layers' states may be made undone, stepweise and without limits, in modelspace and in paperspace/layouts. Of course, all changes to drawing entities made are not made undone ! This way, LayerTools allow very comfortable entities editing and restoring layers to their previous states at the same time !

Besides, the LayerTools is an integral part of LayerManager – nevetherless, LayerTools is a standalone program as well, that works independent from LayerManager, even if LayerManager program is closed. To run LayerTools manually, load the program file <lm_tools.arx> via appload command and enter "ddltools".


Running LayerTools

Command: DDLTOOLS

You will find LayerTools only at the PullDown menu "Menu/Edit/Layer/LayerTools...".

When LayerTools is started, a small dialogbox appears, that will always remains in AutoCAD's window foreground and works simultaneously and parallel to AutoCAD – even better than a ToolBar.

If you have finished LayerTools, the program could be re-opened with command "DDLTOOLS" or from LayerManager's PullDown menu.

NOTICE: If you would like to have LayerTools always be loaded and active at AutoCAD startup time, please do these following steps:

Open the file "acad.rx", that is normally located in AutoCAD's support path or together with program file "acad.exe" using a simple text editor (like "notepad.exe" or "wordpad.exe"). If there is no file "acad.rx", you should create that file inside AutoCAD's support path "...\Support" of your AutoCAD installation. Once the file is opened by editor, please insert this line at the end of the file :

"X:\<LayerManager-Path>\lm_tools.arx"

where X:\<LayerManager-Path is the LayerManager's installation directory. Now save the file "acad.rx" and at the next AutoCAD startup the LayerTools may be run with command "ddltools".


Using LayerTools

At first, take a look to LayerTools' program options – just right click into the empty dialog box area. The context menu shown below will appear.

"Minimize when focus is lost": reduces the dialog to the titlebar if LayerTools is not the active window, i.e when the user works inside AutoCAD - this is similar to LayerManager's option "Shrink window to titlebar when inactive".

"Active mouse tracking": if this option is active, LayerTools will watches mouse moving and automatically activates AutoCAD's drawing window or LayerTools dialog box dependent on mouse position.

All LayerTool functions will process that layers of selected reference entities.

When a function starts, the user will be asked for entities selection at first – select any drawing entities desired using all common entities selection modes to determine the layers to be processed by LayerTools. Alternative you may also answer with <Space> key (or <Return>-key) at the entities selection prompt: then it is possible to select sub-entities to determine layers, i.e. block attributes.

Layer:

Current: changes the current layer to selected reference entity's layer

Freeze: changes all reference entities' layer to frozen

Off: changes all reference entities' layer to off

VP-Freeze: changes all reference entities' layer to frozen for current viewport

Lock: changes all reference entities' layer to locked

UnLock: changes all reference entities' layer to unlocked

Entities:

Copy: copies all entities on reference entities' layers to another layer that is also determined by reference entity

Change: moves all entities on reference entities' layers to another layer that is also determined by reference entity

Show: QuickView for all entities located on that layers of selected reference entities

Erase: erases all entities located on that layers of selected reference entities

Foreground: positions all entities located on that layers of selected reference entities into foreground

Background: positions all entities located on that layers of selected reference entities into background

Restauriere: restores the previous layer situation

Not-selected Layer: if this option is active, all functions will process all those NOT SELECTED layer !

Some Examples:

"Lock" & "Not-selected Layer": assume, layer "XYZ" is determined by some reference entities – that means, all other layers will be locked, Layer "XYZ" remains unlocked, and you may only edit entities on layer "XYZ", i.e. you may simply erase tiny hatch entities without effecting any other entities.

"Off" & "Not-selected Layer": assume, layer "XYZ" is determined by some reference entities – all other layers will be changed to OFF, except layer "XYZ" that remains visible.

The Restore stack is unlimited in size and depth, that means you may restore all previous layer situations even back to the beginnig of your LayerTools operations.

Of course, restoring previous layer situations will NOT effect any other edit operations you made before inside the drawing and with drawing entities !


Overview and Notes

This chapter will help you to find answers to the most "frequently asked questions", when using LayerManager especially in the first time – in other words, this chapter may also be considered as tutorial.

This chapter will be continued and extended in the future – accordingly to the users' wishes, the most usually problems are discussed here. When ever possible, you will find links to the related chapters of this manual and online-help among the text and explainations; so you may simply switch there by a mouseclick to the hypertext (in online-help).


Editing and Using Layers

LayerManager offers a very large range of functions to organize and handle layers - not only just all AutoCAD standard layer functions, but even many, many more.

At first, configure 1 LayerManager window panel (usually the right/lower window panel) to the window mode "All Layers" or "Active Layers" or "Inactive Layers". The window panel now shows layers using a column view with most commonly used layer properties similar to AutoCAD's layer dialog (properties columns may be configured !) – this way, changing these properties is only 1 mouse-click away …

Select one or more layer(s) you want to handle and then right-click to open the context menu – all available functions are located on 2 menu pages where you may switch between using "Other menu".

Alternatively, use the PullDown menus and ToolBars "File", "Edit" and "Extras" to access the functions.

Editing Layers All functions to edit selected layers are located in PullDown menu under "Menu/File" and under "Menu/Edit".

Using Layers All functions to handle selected layers are located in PullDown menu under "Menu/Edit" and under "Menu/Extras".


Editing and Using Layergroups

Editing and using Layergroups is really simple : all functions available for layers may be used with Layergroups too – and they work just the same way. Thus, all functions may even use layers that are contained by Layergroups too.

This nearly identically handling is also documented by the column view inside the right/lower window panel – when using window mode "All Layergroups" or "Dependent Layergroups" the window uses the same column view to display all layergroup properties like visibility, linetype, color, locking etc.

All functions are accessible from context menu with 2 menu pages (for selected Layergroups) and also from PullDown menu and ToolBars as well.

To create new Layergroups, there are several methods available – here are the most important:

· using "Menu/File/New/Layergroup": if the left/right window panel is configured to one of the Layergroup window modes, this function will guide you through the creation process step by step.

· using Drag-&-Drop : you may drag selected layers (with right or left mouse button) into an empty area of another window panel using layergroup mode or directly to an existing layergroup – thus, a new layergroup is created resp. an existing layergroup is extended with the dragged layers.

· using Import of LayerManager data: Layergroups could also be created by importing existing export/import files containing LayerManager data structures. You may import any number of export files into the current drawing using multiple import steps.

Depending on number and kind of selected layers and/or layergroups and depending on the window panel's mode in details, there are some more methods for creating layergroups or for extending layergroups as well. These methods are all described very detailled in the related chapters.


Editing and Using Hierarchies

"Hierarchies" represent the structurized arrangement of sub-hierarchies and/or layergroups – this is similar to the well-known principle of directories and files on your hard disk. Using hierarchies even the most complex layergroup and layer systems can be handled with high efficiency, for hierchies are unlimited in number and depth of sub-hierarchies and their content, the layergroups.

By means of hierarchies you could manage and handle dozens of layergroups and even hundreds of layers of your drawings with only a few mouse clicks.

Hierarchies could be managed and handled just the same way, layergroups and layers are handled – all functions concerning layers and layergroups are working nearly identically even with (sub-)hierarchies and will internally adapt to the actual environment if nessecary (that means, locking a hierarchy will result in locking all layers contained by that hierarchy etc.).

All functions are accessible from context menu with 2 menu pages (for selected Hierarchies) and also from PullDown menu and ToolBars as well.

To create new hierarchies, there are several methods available – here are the most important:

· using "Menu/File/New/Hierarchy": if the left/upper window panel is configured to hierarchy mode, this function will guide you through the hierarchy creation process.

· using Drag-&-Drop : you may drag selected layergroups (with the left or right mousebutton) into an empty area of another window panel using hierarchy mode or directly to an existing (sub-)hierarchy – thus, a new hierarchy is created resp. an existing hierarchy is extended.

· using Import of LayerManager data: Hierarchies could also be created by importing existing export/import files containing LayerManager data structures. You may import any number of export files into the current drawing using multiple import steps.

Depending on number and kind of selected hierarchies, layergroups and/or layers and depending on the window panel's mode in details, there are some more methods for creating hierarchies or for extending hierarchies as well. These methods are all described very detailled in the related chapters.


How to get multiple LayerManager windows ?

If you enter the LayerManager command "LmPro" (or "LaymanPro") at AutoCAD's command prompt a second times, you will see – nothing happens ! This way, no further LayerManager windows are opened – instead, all hidden, minimized, badly positioned or anyway else invisible LayerManager windows are restored to be visible and placed into foreground.

To open further LayerManager windows use function "Menu/View/New Window" - each new LayerManager window inherits all settings and properties from the parent window at first, but works completely independent and may be configured any way needed.


How to attach a drawing in AutoCAD 2000(i) ?

Each LayerManager window will display the current AutoCAD drawing by default, but may be configured to display only a particular, user-defined drawing (from AutoCAD's open drawing pool, of course).

Using function "Menu/File/Drawing…" the drawing selection box will open – please select the particular drawing to be displayed or select "<CURRENT>", to have LayerManager to be displaying the current drawing always. The particular drawing selected is not changed to be AutoCAD's foreground drawing, that means, the drawing is not AutoCAD's current drawing !

Alternative: You can also use "Menu/View/Dwg-List" to have the drawinglist permanently visible as a popup-list. Benefit: All drawings are shown with their complete filename (including path !).


How to transfer LayerManager data to another drawing ?

In generally, the basic technology to transfer LayerManager structures between your drawings is to use export/import files. Any number of selected Hierarchies and Layergroups will be written to a special text file called export/import file. This export/import file may be imported at any time later and into any drawing as needed. The import process allows you to load LayerManager data completely or partially : you may exactly define which data are to be imported.

Additionally, with AutoCAD 2000(i) LayerManager also offers Drag-&-Drop to transfer data structures between different drawings – simply open at least 2 LayerManager windows and attach source and target drawing to separate windows. Then you may transfer any selected LayerManager data from source into target drawing resp. their LayerManager windows.

Export-/Import files can also be manually edited with any (ASCII-) text editor like notepad.exe; additionally they may be useful as backup files for your defined LayerManager structures.


Some notes for chapter "Tips and Tricks"

The intention of this chapter is to offer a large set of hints, notes, tips & tricks, that may not be given in all other chapters, and to discuss a couple of LayerManager features, that are possible a little bit hidden, but nevetherless very helpfully for the all-day job with AutoCAD …

Of course, this chapter is always continued – related to any feedback (questions, notes and ideas) of Layer-Managers' users. So you will find useful hints and techniques to use LayerManager the most effective way. When ever possible, you will find links to the related chapters of this manual and online-help among the text and explanations; so you may simply switch there by a mouseclick to the hypertext (in online-help).


Predefined drawing structures

In many cases, the layer structures have to be adjusted to normatives, company specific rules or even more globale directions given by other companies or costumers – on the other side, also the need of data/drawing transfer and exchange with other CAD systems requires special layer structures. But of course, it is really painful to manage these normatives and directions manually – and no one wants to use fat catalogues to get to know which layer is to be used or what properties a particular layer should use.

LayerManager offers several technologies to solve the problem and to establish and ensure conforming layer systems as they are needed :

Using Auto-Structure | The Auto-Structure feature enables the automated drawing structurization by means of LayerManager-Template files.
Using Export-/Import files | This allows you to import LayerManager data stored in export files (text files) on the harddisk. At import the structures to be loaded may be selected to even load partially LayerManager data.
Using Prototype drawings | Uses normal AutoCAD prototype/template drawings that already contain LayerManager data structures.
Using Prototype blocks | Uses normal drawing blocks that already contain LayerManager data structures; these blocks may be inserted into the current drawing (best: insert exploded !).

All these methods have their specific advantages – so please check it, which one best fits to your AutoCAD environment and to your special drawings and needs. Of course, all these methods may be combined too !

also see :

Auto-Structure

Prototype drawings

Prototype blocks


Tips and Tricks - Predefined drawing structures - Auto-Structure

Auto-Structure

Starting with version v4.1 the Auto-Structure feature allows you to define, which layergroups will contain which layers, and which hierarchies will contain which sub-hierarchies and layergroups. These definitions are saved as LayerManager-Template file on disk; each drawing may have multiple Template files attached. This way, the drawing has all knowledge about the desired drawing structure, LayerManager will then watch the drawing's layers :

If a new layer enters the drawing, all active Template definitions will be analyzed, and all related layergroups and therefore, all related hierarchies will be created automatically in the background. Because Template definitions may use wildcards for contained layers, layergroups and hierarchies, the Auto-Structure feature seems to be the most powerful and flexible way for drawing structurization.


Prototype drawings

The most easiest way to (permanently) use pre-defined LayerManager structures with your drawings is given by AutoCAD's prototype/template drawings. These are really normal drawings like any other drawing too – they are only handled in a special way at AutoCAD's startup procedure.

Even these prototype/template drawings may be opened like any other normal drawing – thus, LayerManager may be used to define all layers, layergroups, hierarchies and all other LayerManager structures as needed – after all of your structures are defined, save the prototype/template drawing to your template folder. When creating a new drawing, you may use that prototype/template drawing with pre-defined LayerManager data. The new drawing will therefore contain all these layers, layergroups and hierarchies as pre-defined.

It is recommended to use this technology only for those basic layers, layergroups and hierarchies, that should always be a part of your drawings, because it is not as flexible as other technologies like export and import or like the block inserting method.


Prototype blocks

Another way to (dynamically) integrate pre-defined LayerManager data is to use drawing blocks with their contained LayerManager data. At first, create a drawing with all layers, layergroups and/or hierarchies needed (or with even a part of all needed objects to split a normative into multiple parts !) just like to do for template drawings and then save this drawing as usual.

When you have your project drawing(s) opened, you may insert that block drawing into your project drawing. Please note, that you should insert that block as "exploded" block for best result – positioning and scaling makes no sense with those LayerManager data blocks.

You should use "exploded" inserts for some important reasons:

  1. First, you will prevent an unnessecary and unused block definition.

  2. LayerManager will show all layergroups and hierarchies found inside of block definitions (and inside Xrefs) with that delimiter ("|") that is usually used for Xref-dependent layers – this is very useful for real blocks and xrefs, but this would be misleading in case of blocks only used for pre-defined LayerManager data.

This method is especially useful in case to load Layergroups and Hierarchies dynamically as needed – you may use multiple blocks with partially defined layer systems, that means, you are able to build-up your layer system based on modular components. In generally, this way is more flexible than prototype drawings - but if a fixed layer system is preferred, the prototype drawing method is more effective.

Depending on LayerManager's settings, all inserted blocks (and Xrefs) are scanned automatically or upon request for included LayerManager data.


Tips and Tricks - Extending Layergroups

Extending Layergroups

Besides the commonly used methods for extending layergroups (that means, inserting additional layers) there is another technique, based on 2 LayerManager windowsand is described here …

  1. Open a second LayerManager window (if it is not already existing) and configure the left/upper window panel to Mode "Layergropups", the right/lower window panel should use Mode "Dependent Layers". With AutoCAD 2000(i), ensure that both LayerManagers have the same drawing attached.

  2. Inside the first LayerManager and within the left/upper window panel you may now select those (one or more) layergroups that you would like to extend with additional layers – once the layergroup(s) is/are selected, the right/lower window panel will show the summary of all layers included in those selected layergroups.

  3. Now select any layer(s) needed inside any other LayerManager window (and within any window panel whatever) – any layer displayed may be selected, regardless of the window panel's mode.

  4. Simply use Drag-&-Drop to drag all selected layers into the right/lower window panel of the 2. LayerManager (that window panel with mode "Dependent Layers") and release the mouse button – all dragged layers will be added to the displayed objects, that means, they will be included in all selected layergroups as well.


Tips and Tricks - Extending Hierarchies

Extending Hierarchies

Another very handy and user-friendly method to extend hierarchies (that means, inserting additional sub-hierarchies and/or layergroups) is based on 2 LayerManager windows and is described here …

  1. Open a second LayerManager window (if it is not already existing) and configure the left/upper window panel to Mode "Hierarchies", the right/lower window panel should use Mode "Dependent Layergroups". With AutoCAD 2000(i), ensure that both LayerManagers have the same drawing attached.

  2. Inside the first LayerManager and within the left/upper window panel you may now select those (one or more) lhierarchies that you would like to extend with additional sub-hierarchies and/or layergroups – once the layergroup(s) is/are selected, the right/lower window panel will show the summary of all layergroups included in those selected hierarchies and sub-hierarchies.

  3. Now select any sub-hierarchies and/or layergroup(s) needed inside any other LayerManager window (and within any window panel whatever) – any (sub-)hierarchy and layergroup displayed may be selected, regardless of the window panel's mode.

  4. Simply use Drag-&-Drop to drag all selected (sub-)hierarchies and/or layergroups into the right/lower window panel of the 2. LayerManager (that window panel with mode "Dependent Layergroups") and release the mouse button – all dragged (sub-)hierarchies and/or layergroups will be added to the displayed objects, that means, they will be included in all selected (sub-)hierarchies as well.


Switching between Modelspace and Paperspace

One of AutoCAD's most difficult problems with layer management is related to the different layer controlling techniques in modelspace and paperspace (resp. layouts with AutoCAD 2000(i)).

When working in paperspace/layouts, the "VPLayer" command (resp. the column "Freeze in Current Viewport") must be used to manage layers independently for each viewport – BUT THIS ONLY WORKS, IF LAYERS ARE SET TO BE "ON" AND "THAWED" FOR MODELSPACE !!! Otherwise, such layer set to "Off" or "Frozen" can not be used within paperspace/layouts, because such layers are not active.

Just there lies the large problem: To be able to manage layers in paperspace/layouts viewport-based manner by "VPLayer" at all, it is absolutely nessecary to have all layers configured to be "On" and "Thawed" in modelspace. This means, that your modelspace layer configuration is simply destroyed. If you change from paperspace to modelspace back again, you have to re-configure all that layers again !!!

Another problem with AutoCAD 2000(i): Now you have multiple paperspaces (called layouts), but this enlarges the problem mentioned above – there are only one global settings for "On/Off" and "Freeze/Thaw". That's why you can't even set one layer "xyz" within layout "Layout1" to On+Thawed, and within another layout "LayoutX" to Off+Frozen ! After each change from one layout to another layout, you have to configure that layers again, if you want to have different "On/Off" and/or "Frozen/Thawed" settings for several layouts – what a great potential of mistakes and what a waste of time … !

With LayerManager all these problems are solved by a powerful and outstandig feature: Always after changing between modelspace/paperspace (or even between layouts) the layer configuration of the area you have left is automatically saved permanently and directly inside the drawing. When switching into another area, LayerManager is able to restore the last used layer configuration for that area.

LayerManager will ask wether to set all layers to ON and THAWED or not, when the user switches into paperspace for the first time – if you need the modelspace layer configuration as basis for paperspace, you should answer with "NO" and all layers that are OFF and/or FROZEN in modelspace are unusable within paperspace(s). Otherwise, if you answer with "YES", all layers will be set to ON and THAWED within modelspace – and may then be set independently for each viewport.

After switching between modelspace/paperspace (or between layouts) the complete layer configuration of the last area is automatically and permanently stored, and LayerManager will compare the layer configurations of both areas (the last and the current one) – if there are differencies, the opportunity is given to restore the last layer configuration for the current area. The restore process is done automatically or upon request, depending on LayerManager's option "Restore M-P-Space layers".

This powerful and revolutionary feature enables the user to use both modelspace and paperspace (resp. all layouts with AutoCAD 2000(i)) completely independent – you don't need any time to manually re-configure all layers in case of switching between modelspace and paperspace !

New with Version v4.1a (starting with ServiceRelease Juli 2001):

LayerManager stores all Layer properties for all modelspace, paperspace and layouts now: when switching between modelspace, paperspace and layouts, all layer properties are stored, and for the current space, the last used layer properties are restored. Under "Preferences" the user can define, which layer properties are to be restored.

With this powerful new feature, all modelspace, paperspace and layouts are completely independent now. Handling paperspace and layout layers (i.g. for plotting setup) has dramatically simplified !


Some notes for this chapter

This chapter will give you some help and support to a number of problems and how to solve them, if possible.

Any known bugs and limitations are also explained, and how to get around.

One of the best ideas is to keep both AutoCAD and Windows up-to-date and to install bugfixes and ServicePacks for both systems. Additionally, whenever problems are encountered within AutoCAD, first use the "Recover" command, even if the drawing seems to work – in many times, the drawing database has already some defects inside, regardless wether such errors will influence AutoCAD; but such database errors may influence LayerManager (and even all ObjectARX based software !).


Problems related to Windows 95/98/NT/Win2000

LayerManager is designed as an ObjectARX program to work inside AutoCAD – on the other side, the explorer-style interface is based on the Windows system. That's why, LayerManager is affected by both the AutoCAD system configuration and is also effected by the Windows system configuration.

Especially when running Windows NT with its several service packs (SP1…SP6a) in conjunction with several generations of the "MS Internet Explorer", that all together change and update around 50% of Windows OS and especially of the Windows window interface, many (and often really curious) problems may occure. Installed versions of "MS-Office-Software" will also influence the overall system – you will know that …

All recommendations given here are based on experiences and official documentations – but of course, there is no guarantee for success; they are intended to ensure the most compatible and stable environment for LayerManager, but even for AutoCAD and all your software running Windows.

Windows 95:it is recommended to install "MS Internet Explorer 4.01 SP1" (or higher) in the sense of a

system update; of course you may use Netscape Navigator as web browser.

Windows 98:there are no problems known; integrated "MS Internet Explorer 4.x" seems to establish a sufficient level of compatibility; "MS IE 5.x" may be installed too.

Windows NT4:it is highly recommended to install ServicePack5 or higher (best: SP6a) and also "MS Internet Explorer 5.0" (both in the sense of a system update).

Windows2000:there are no problems known; integrated "MS Internet Explorer 5.9" seems to establish a sufficient level of compatibility; "MS IE 5.x" may be installed too.


Known errors and limitations

Because of most complex hardware and their device drivers, complex Windows configuration and application software (like AutoCAD) and the infinite large number of their combinations, it is impossible to test LayerManager under all possible situations. LayerManagers is permanently tested under many systems, especially with Windows NT4.0 and Windows 2000 – but this is no guarantee for an error-free software at all.

Known bugs, limitations and "strange things":

· ToolTips may not appear: sometimes the small toolbar ToolTips may not appear on systems running Windows NT4.0; after ServicePack 5 (or higher) and "MS IE 5.0" is installed this problem seems to be fixed;

· General: if you encounter any problems when working with AutoCAD and LayerManager, it is a good idea to open the drawing with "Recover" – sometimes even little errors inside the drawing database will influence AutoCAD, LayerManager and all other ObjectARX based software and will lead into really strange effects.

· General: you can try another option if problems still remain: exit AutoCAD and delete LayerManagers INI-files called "Layman.cfx" and "Layman.wpx". These files are located in LayerManagers program folder. Sometimes wrong option values stored in these INI-files may guide to strange LayerManager behaviour.

If you encounter any further problems, so please get in contact with the program author (using eMail, telephone, fax or whatever), may be with attached drawing example and a short problem description, to fix any problems as fast as possible. Many thanks for your efforts in advance – with guarantee for 5 free licenses for any reported LayerManager bug ! This is true !


LayerManager's window is disappeared ?

Sometimes and really rare it may happen that LayerManagers' window will not appear after program start or will disappear during normal program use. To make LayerManagers program window visible again, there are several procedures available, as described below :

LayerManager window

does not appear after

program start

 For safety, please enter the LayerManager command "lmpro" – this will restore all LayerManager windows that may be hidden or behind AutoCAD's window and will take them into windows foreground.

If no LayerManager window will appear again, the window could possibly reside "out of screen" – this situatuon can be caused by AutoCAD/LayerManager crashes or by copying LayerManagers program folder to another machine (i.e. notebooks)

Solution: Exit AutoCAD and delete the files "Layman.Wpx" and "Layman.Cfx" from LayerManager folder (or search for all these files and delete allexisting files).

At the next AutoCAD/LayerManager start internal defaults will be used and both configuration files are recreated. Please check LayerManagers options too.
LayerManager window

is disappeared during

AutoCAD session

 This may happen, if the "Minimize" button way pressed to have LayerManager as an icon on desktop or on the taskbar – on the desktop the icon can be hidden by any other foreground window.

Solution: please enter the LayerManager command "lmpro" – this will restore all LayerManager windows that could be hidden or behind AutoCAD's window and will take them into windows foreground.


Dialog windows are damaged or incomplete ?

Sometimes (very rare indeed) it may happen, that program dialogs or program windows appear incomplete – you will recognise this behaviour by missing dialog buttons and/or too large resp. too small dialog windows.

There are several reasons for :

  1. Improper program shutdowns of AutoCAD or LayerManager

  2. LayerManager installations, that were manually transferred between different computers

Solution for that problem:

  1. Use function "Menu/Extras/Repair Dialogs": this will reset all dialog windows to their original size and position.
  • or –
  2. Close LayerManager and AutoCAD, then delete file "…\Ini\<User>\Layman.wpx" located in your LayerManager's installation path (<User> ist Ihr Login-Name). If you can't find that file, simply delete all files "Layman.wpx" below your LayerManager's installation path. This file "Layman.wpx" stores all program window and dialog sizes and positions, and may be corrupted if this behaviour is given.

At the next LayerManager start this file is re-created and all dialogs and windows will appear at their original position with original size.


AutoCAD can not purge Layers ?

Sometimes, LayerManager can prevent AutoCAD from purging unused layers. This will alwys occure if such layers are a part of layergroups and/or these layers have been extended by LayerManagers layer description.

In generally, there are 2 methods to enable AutoCAD to purge/erase such layers:

  1. You may manually remove that layers to be purged from any layergroup and also erase the layer description. Then save all LayerManager's data using function "Menu/File/Save" ! AutoCAD should now be able again to purge these layers.

  2. the better way: simply remove/erase that layers directly inside LayerManager. Selected layers will automatically removed from any layergroup, their layer descriptions are removed, all entities located on those layers will also be erased – at last, selected layers are removed from the drawing.

Notice: If erased layers still remain, simply retry to erase that layers within LayerManager. Sometimes 2 passes are needed, before AutoCAD recognises that layers as unused ones.


Installing LayerManager-Updates

You can download all available service-releases and new program versions from LayerManager's Internet homepage: www.LayerManager.com – all updates within version v4.x are free !

Installing a LayerManager update is a very easy task : but please check your AutoCAD version, because LayerManager installation for R14 can not work with AutoCAD 2000(i) and vice versa.

Updating LayerManager for the same AutoCAD-Release:

Please install the LayerManager update into your existing LayerManager folder – the license state of your previous installation remains unchanged.

Updating LayerManager for another AutoCAD-Release (higher/lower release):

Please install the LayerManager update or new version into a new LayerManager folder besides your existing installation – to save the license state of your previous installationplease see the notes below.

If you are using multiple AutoCAD-releases simultaneously (even over Netzwork):

Because the AutoCAD ARX program files are only executable within their designated ARX version, it is highly recommended to install LayerManager into different program folders for each related AutoCAD version – otherwise you would overwrite LayerManager's program files of that installation for another AutoCAD release.

At the first program start please check LayerManagers program options under "Menu/File /Preferences".

NOTICE: Usually, all LayerManager updates will be delivered as demo releases – the demo is a LayerManager package without license data. When installing LayerManager into an existing installation folder of your previous version (that means, you will overwrite old version), all license data remain unchanged: demo version remains as demo version, licensed version remains licensed !

Some notes for license take-over when installing LayerManager into other program folder:

Normally, any program updates should be installed into the existing LayerManager program folder – thus, the license state of installed version remains unchanged. If you want to use LayerManager for a new, higher AutoCAD release and you're using a licensed LayerManager version for a previous AutoCAD release, please do the following procedure:

At first, exit AutoCAD. Then copy the file "Layman.dax" from LayerManager program folder (that one for previous AutoCAD) into LayerManager's program folder of your new AutoCAD release – thus, existing license data will taken into the new LayerManager installation.

Please restart AutoCAD now – LayerManager should run as licensed version again.


Compatibility with older LayerManager versions

LayerManager has now been developed for more than 6 years – LayerManager Professional based on a windows explorer design has been developed for more than 1.5 years ! The development is going on for the next years. During all these years, LayerManager has never (!) lost compatibility to older versions –compatibility is one of the most important design rules ! The compatibility aspect is related to LayerManagers own data structures, of course.

LayerManager Professional is downward and upward compatible even with earliest versions running AutoCAD R12 DOS; older versions are able to recognise all LayerManager data from current versions (if the drawing is saved in older AutoCAD dwg format).

There is no problem to use drawings with LayerManager data structures made by LayerManager versions before version v4.0 (i.e. drawings from AutoCAD R13 DOS/WIN) without loosing LayerManager data. This also applies in reverse direction: you may save your AutoCAD 2000(i) drawing with R13 dwg format, and LayerManager running AutoCAD R13 will recognise these LayerManager data structures.

Based on the internal design of stored LayerManager data structures, LayerManager is able to ensure complete compatibility for future versions – this is guaranteed !